
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.Object obj2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = fraction1.compareTo(obj2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = fraction0.divideBy(fraction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    // The following exception was thrown during execution in test generation
    try {
      int i3 = fraction1.compareTo((java.lang.Object)2);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.invert();
    // The following exception was thrown during execution in test generation
    try {
      int i6 = fraction4.compareTo((java.lang.Object)(-1.0f));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(100, (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    float f3 = fraction0.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.4f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    java.lang.Object obj5 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = fraction2.compareTo(obj5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    java.lang.Object obj11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = fraction9.compareTo(obj11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getDenominator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    java.lang.String str14 = fraction13.toString();
    // The following exception was thrown during execution in test generation
    try {
      int i15 = fraction3.compareTo((java.lang.Object)str14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "0/1"+ "'", str14.equals("0/1"));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction((-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction6 = fraction2.subtract(fraction5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    int i4 = fraction3.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    int i2 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.divideBy(fraction6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction9 = fraction0.divideBy(fraction3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction16.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction25 = fraction16.subtract(fraction24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction17 = fraction15.divideBy(fraction16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getDenominator();
    long long6 = fraction4.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(2, 3, 100);
    java.lang.Object obj4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = fraction3.compareTo(obj4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction22 = fraction19.divideBy(fraction21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.abs();
    java.lang.String str5 = fraction4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "2/3"+ "'", str5.equals("2/3"));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    int i19 = fraction9.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction1.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "10 1/2"+ "'", str9.equals("10 1/2"));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    boolean b4 = fraction0.equals((java.lang.Object)(byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction15.subtract(fraction19);
    boolean b22 = fraction15.equals((java.lang.Object)(-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_FIFTH;
    org.apache.commons.lang.math.Fraction fraction1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = fraction0.subtract(fraction1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    java.lang.String str14 = fraction13.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1/2"+ "'", str14.equals("1/2"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.negate();
    int i5 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    java.lang.String str7 = fraction6.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "1"+ "'", str7.equals("1"));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d3 = fraction2.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.multiplyBy(fraction4);
    float f10 = fraction4.floatValue();
    java.lang.String str11 = fraction4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1/1"+ "'", str11.equals("1/1"));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    int i11 = fraction10.getDenominator();
    long long12 = fraction10.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    byte byte1 = fraction0.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(2, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("2/3");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.multiplyBy(fraction17);
    java.lang.Object obj19 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i20 = fraction17.compareTo(obj19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getProperNumerator();
    int i8 = fraction3.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    short s4 = fraction0.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)1);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    long long4 = fraction2.longValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.invert();
    float f6 = fraction2.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 1.0f);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    byte byte3 = fraction0.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    double d6 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    int i20 = fraction11.getProperWhole();
    java.lang.String str21 = fraction11.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction1.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction24 = fraction11.multiplyBy(fraction23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1"+ "'", str21.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    java.lang.String str3 = fraction2.toProperString();
    short s4 = fraction2.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1"+ "'", str3.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)1);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    float f14 = fraction13.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 0.5f);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction12 = fraction11.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    java.lang.Object obj21 = null;
    boolean b22 = fraction18.equals(obj21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    org.apache.commons.lang.math.Fraction fraction27 = fraction23.divideBy(fraction26);
    short s28 = fraction23.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s28 == (short)(-67));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction0.toString();
    byte byte3 = fraction0.byteValue();
    double d4 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1/1"+ "'", str2.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    int i1 = fraction0.getDenominator();
    int i2 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.add(fraction5);
    int i10 = fraction9.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    int i27 = fraction26.getDenominator();
    org.apache.commons.lang.math.Fraction fraction28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction29 = fraction26.multiplyBy(fraction28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = fraction2.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(0, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    int i10 = fraction6.getDenominator();
    org.apache.commons.lang.math.Fraction fraction11 = fraction5.subtract(fraction6);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.multiplyBy(fraction11);
    int i13 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction0.getProperWhole();
    float f6 = fraction0.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 1.0f);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    java.lang.Object obj21 = null;
    boolean b22 = fraction18.equals(obj21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.multiplyBy(fraction18);
    double d24 = fraction3.doubleValue();
    java.lang.String str25 = fraction3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-101.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "-101/1"+ "'", str25.equals("-101/1"));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.negate();
    short s8 = fraction7.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = fraction16.invert();
    float f18 = fraction17.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 1.0f);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    long long4 = fraction2.longValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.invert();
    org.apache.commons.lang.math.Fraction fraction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction7 = fraction5.add(fraction6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction((-101.0d));
    org.apache.commons.lang.math.Fraction fraction2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = fraction1.subtract(fraction2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 100, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(3, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    boolean b31 = fraction21.equals((java.lang.Object)"10 1/2");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.add(fraction6);
    int i8 = fraction6.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(11, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 10, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    java.lang.Object obj21 = null;
    boolean b22 = fraction18.equals(obj21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    org.apache.commons.lang.math.Fraction fraction27 = fraction23.divideBy(fraction26);
    int i28 = fraction23.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    // The following exception was thrown during execution in test generation
    try {
      int i2 = fraction0.compareTo((java.lang.Object)11);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(5, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    java.lang.Object obj21 = null;
    boolean b22 = fraction18.equals(obj21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.multiplyBy(fraction18);
    int i24 = fraction18.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    java.lang.String str3 = fraction2.toProperString();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.negate();
    int i9 = fraction2.compareTo((java.lang.Object)fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1"+ "'", str3.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-1/1"+ "'", str6.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    int i27 = fraction26.getDenominator();
    float f28 = fraction26.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f28 == 1.5f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction27.multiplyBy(fraction41);
    int i43 = fraction27.getDenominator();
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction45 = fraction27.multiplyBy(fraction44);
    boolean b47 = fraction44.equals((java.lang.Object)10L);
    org.apache.commons.lang.math.Fraction fraction48 = fraction16.add(fraction44);
    double d49 = fraction44.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.5d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(5, (-1), 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction30 = fraction21.reduce();
    double d31 = fraction21.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.Object obj17 = null;
    boolean b18 = fraction14.equals(obj17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i23 = fraction22.intValue();
    int i24 = fraction22.getProperNumerator();
    double d25 = fraction22.doubleValue();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b29 = fraction22.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction30 = fraction19.multiplyBy(fraction22);
    java.lang.Object obj31 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i32 = fraction22.compareTo(obj31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction16.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    byte byte30 = fraction27.byteValue();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction32 = fraction31.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction34 = fraction31.multiplyBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction37 = fraction36.negate();
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction39 = fraction36.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction40 = fraction35.divideBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction41 = fraction31.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction43 = fraction42.negate();
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction45 = fraction42.multiplyBy(fraction44);
    org.apache.commons.lang.math.Fraction fraction46 = fraction31.multiplyBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction47 = fraction45.reduce();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction50 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction51 = fraction50.negate();
    org.apache.commons.lang.math.Fraction fraction52 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction53 = fraction50.multiplyBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction55 = fraction50.pow(0);
    org.apache.commons.lang.math.Fraction fraction56 = fraction49.add(fraction50);
    java.lang.String str57 = fraction56.toProperString();
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction59 = fraction58.negate();
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction61 = fraction58.multiplyBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction63 = fraction58.pow(0);
    java.lang.String str64 = fraction63.toString();
    org.apache.commons.lang.math.Fraction fraction65 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction67 = fraction66.negate();
    boolean b69 = fraction66.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction70 = fraction65.add(fraction66);
    org.apache.commons.lang.math.Fraction fraction71 = fraction63.subtract(fraction65);
    int i72 = fraction63.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction73 = fraction56.multiplyBy(fraction63);
    org.apache.commons.lang.math.Fraction fraction74 = fraction47.multiplyBy(fraction73);
    short s75 = fraction47.shortValue();
    org.apache.commons.lang.math.Fraction fraction76 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction77 = fraction76.abs();
    org.apache.commons.lang.math.Fraction fraction78 = fraction76.abs();
    org.apache.commons.lang.math.Fraction fraction79 = fraction47.divideBy(fraction78);
    org.apache.commons.lang.math.Fraction fraction80 = fraction27.divideBy(fraction78);
    org.apache.commons.lang.math.Fraction fraction81 = fraction21.subtract(fraction80);
    short s82 = fraction21.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte30 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "11 1/2"+ "'", str57.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "1/1"+ "'", str64.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s75 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s82 == (short)0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    int i2 = fraction0.getNumerator();
    int i3 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction27.multiplyBy(fraction41);
    int i43 = fraction27.getDenominator();
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction45 = fraction27.multiplyBy(fraction44);
    boolean b47 = fraction44.equals((java.lang.Object)10L);
    org.apache.commons.lang.math.Fraction fraction48 = fraction16.add(fraction44);
    org.apache.commons.lang.math.Fraction fraction52 = org.apache.commons.lang.math.Fraction.getFraction(2, 3, 100);
    // The following exception was thrown during execution in test generation
    try {
      int i53 = fraction44.compareTo((java.lang.Object)2);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), (-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    java.lang.Object obj21 = null;
    boolean b22 = fraction18.equals(obj21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    org.apache.commons.lang.math.Fraction fraction27 = fraction23.divideBy(fraction26);
    short s28 = fraction26.shortValue();
    double d29 = fraction26.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s28 == (short)50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 50.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 10);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = fraction2.compareTo((java.lang.Object)10);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(0, 3);
    long long3 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction23 = fraction20.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.pow(0);
    java.lang.String str26 = fraction25.toString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    boolean b31 = fraction28.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.add(fraction28);
    org.apache.commons.lang.math.Fraction fraction33 = fraction25.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction34 = fraction14.divideBy(fraction33);
    double d35 = fraction34.doubleValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction36 = fraction7.divideBy(fraction34);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1/1"+ "'", str26.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    double d4 = fraction3.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction3.reduce();
    long long6 = fraction5.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 10L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    int i14 = fraction7.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 10, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    byte byte11 = fraction10.byteValue();
    boolean b12 = fraction0.equals((java.lang.Object)byte11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte11 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.reduce();
    java.lang.String str3 = fraction2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1/3"+ "'", str3.equals("1/3"));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    java.lang.Object obj4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = fraction2.compareTo(obj4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.abs();
    double d5 = fraction3.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 3.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_QUARTERS;
    long long1 = fraction0.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(11, 2, 3);
    double d4 = fraction3.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 11.666666666666666d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    int i27 = fraction26.getDenominator();
    int i28 = fraction26.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.divideBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction16 = fraction6.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction6.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.reduce();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction30 = fraction25.pow(0);
    org.apache.commons.lang.math.Fraction fraction31 = fraction24.add(fraction25);
    java.lang.String str32 = fraction31.toProperString();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction38 = fraction33.pow(0);
    java.lang.String str39 = fraction38.toString();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction42 = fraction41.negate();
    boolean b44 = fraction41.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction45 = fraction40.add(fraction41);
    org.apache.commons.lang.math.Fraction fraction46 = fraction38.subtract(fraction40);
    int i47 = fraction38.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction48 = fraction31.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction49 = fraction22.multiplyBy(fraction48);
    short s50 = fraction22.shortValue();
    org.apache.commons.lang.math.Fraction fraction51 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction52 = fraction51.abs();
    org.apache.commons.lang.math.Fraction fraction53 = fraction51.abs();
    org.apache.commons.lang.math.Fraction fraction54 = fraction22.divideBy(fraction53);
    org.apache.commons.lang.math.Fraction fraction55 = fraction1.subtract(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "11 1/2"+ "'", str32.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "1/1"+ "'", str39.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s50 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    double d4 = fraction3.doubleValue();
    int i5 = fraction3.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.add(fraction8);
    boolean b15 = fraction4.equals((java.lang.Object)fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction17 = fraction4.subtract(fraction16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    int i4 = fraction0.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction0.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction23 = fraction20.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction30 = fraction20.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction32 = fraction31.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction34 = fraction31.multiplyBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction35 = fraction20.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction0.add(fraction35);
    long long37 = fraction0.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 0L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction0.add(fraction18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction20 = fraction19.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction7 = fraction0.add(fraction6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(100, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction0.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.abs();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction22 = fraction18.pow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(11, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    short s3 = fraction0.shortValue();
    float f4 = fraction0.floatValue();
    int i5 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(2, 23, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    java.lang.String str13 = fraction0.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "0"+ "'", str13.equals("0"));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(5);
    int i5 = fraction4.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 243);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    boolean b10 = fraction7.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction11 = fraction7.reduce();
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.reduce();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    java.lang.String str30 = fraction29.toString();
    boolean b31 = fraction22.equals((java.lang.Object)fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction29.abs();
    int i33 = fraction7.compareTo((java.lang.Object)fraction29);
    float f34 = fraction29.floatValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction35 = fraction0.divideBy(fraction29);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0/1"+ "'", str30.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f34 == 0.0f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("10 1/2");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 10, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 21, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.invert();
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction16 = fraction7.divideBy(fraction15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d3 = fraction2.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = fraction2.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.reduce();
    long long16 = fraction15.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    int i8 = fraction0.intValue();
    double d9 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.Object obj17 = null;
    boolean b18 = fraction14.equals(obj17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i23 = fraction22.intValue();
    int i24 = fraction22.getProperNumerator();
    double d25 = fraction22.doubleValue();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b29 = fraction22.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction30 = fraction19.multiplyBy(fraction22);
    java.lang.String str31 = fraction30.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "-4/15"+ "'", str31.equals("-4/15"));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    int i46 = fraction45.intValue();
    int i47 = fraction45.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toProperString();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i4 = fraction3.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = fraction3.invert();
    org.apache.commons.lang.math.Fraction fraction6 = fraction1.add(fraction5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction8 = fraction5.pow(21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1"+ "'", str2.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    float f2 = fraction1.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5f);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    byte byte11 = fraction9.byteValue();
    long long12 = fraction9.longValue();
    int i13 = fraction9.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction14.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction14.multiplyBy(fraction28);
    org.apache.commons.lang.math.Fraction fraction30 = fraction28.reduce();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction38 = fraction33.pow(0);
    org.apache.commons.lang.math.Fraction fraction39 = fraction32.add(fraction33);
    java.lang.String str40 = fraction39.toProperString();
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction42 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction44 = fraction41.multiplyBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.pow(0);
    java.lang.String str47 = fraction46.toString();
    org.apache.commons.lang.math.Fraction fraction48 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction50 = fraction49.negate();
    boolean b52 = fraction49.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction53 = fraction48.add(fraction49);
    org.apache.commons.lang.math.Fraction fraction54 = fraction46.subtract(fraction48);
    int i55 = fraction46.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction56 = fraction39.multiplyBy(fraction46);
    org.apache.commons.lang.math.Fraction fraction57 = fraction30.multiplyBy(fraction56);
    short s58 = fraction30.shortValue();
    org.apache.commons.lang.math.Fraction fraction59 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction60 = fraction59.abs();
    org.apache.commons.lang.math.Fraction fraction61 = fraction59.abs();
    org.apache.commons.lang.math.Fraction fraction62 = fraction30.divideBy(fraction61);
    org.apache.commons.lang.math.Fraction fraction63 = fraction9.divideBy(fraction30);
    int i64 = fraction9.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte11 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "11 1/2"+ "'", str40.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "1/1"+ "'", str47.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s58 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 2);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    float f47 = fraction45.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f47 == 1.0f);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(11, 5);
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.getFraction(10, 2, 2);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.multiplyBy(fraction12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction14 = fraction13.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.abs();
    int i13 = fraction12.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    long long6 = fraction0.longValue();
    int i7 = fraction0.getDenominator();
    int i8 = fraction0.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    short s7 = fraction5.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s7 == (short)0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(23, 243, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.reduce();
    double d8 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction0.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.abs();
    org.apache.commons.lang.math.Fraction fraction22 = fraction18.pow(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.add(fraction8);
    boolean b15 = fraction4.equals((java.lang.Object)fraction14);
    short s16 = fraction4.shortValue();
    byte byte17 = fraction4.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s16 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte17 == (byte)1);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    int i6 = fraction5.getProperWhole();
    float f7 = fraction5.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.0f);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    short s44 = fraction16.shortValue();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.abs();
    org.apache.commons.lang.math.Fraction fraction47 = fraction45.abs();
    org.apache.commons.lang.math.Fraction fraction48 = fraction16.divideBy(fraction47);
    org.apache.commons.lang.math.Fraction fraction49 = fraction16.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s44 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    boolean b24 = fraction21.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction26 = fraction18.subtract(fraction20);
    org.apache.commons.lang.math.Fraction fraction27 = fraction7.divideBy(fraction26);
    boolean b28 = fraction5.equals((java.lang.Object)fraction7);
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction34 = fraction29.divideBy(fraction32);
    java.lang.String str35 = fraction34.toString();
    org.apache.commons.lang.math.Fraction fraction36 = fraction34.negate();
    int i37 = fraction7.compareTo((java.lang.Object)fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/1"+ "'", str19.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "0/1"+ "'", str35.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.String str17 = fraction14.toProperString();
    int i18 = fraction14.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "2/3"+ "'", str17.equals("2/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getDenominator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = fraction9.abs();
    int i12 = fraction11.intValue();
    int i13 = fraction11.getNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = fraction3.multiplyBy(fraction11);
    byte byte15 = fraction11.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte15 == (byte)1);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    byte byte4 = fraction2.byteValue();
    int i5 = fraction2.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte4 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    long long4 = fraction3.longValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.reduce();
    short s8 = fraction6.shortValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction3.divideBy(fraction6);
    // The following exception was thrown during execution in test generation
    try {
      int i11 = fraction6.compareTo((java.lang.Object)true);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.reduce();
    java.lang.String str18 = fraction0.toString();
    double d19 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "1/1"+ "'", str18.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.multiplyBy(fraction17);
    boolean b20 = fraction17.equals((java.lang.Object)10L);
    org.apache.commons.lang.math.Fraction fraction21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    int i2 = fraction0.getNumerator();
    java.lang.String str3 = fraction0.toString();
    int i4 = fraction0.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1/2"+ "'", str3.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d3 = fraction2.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.multiplyBy(fraction4);
    float f10 = fraction4.floatValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    boolean b15 = fraction12.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.add(fraction12);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.pow(0);
    java.lang.String str23 = fraction22.toString();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    boolean b28 = fraction25.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.add(fraction25);
    org.apache.commons.lang.math.Fraction fraction30 = fraction22.subtract(fraction24);
    int i31 = fraction22.getProperWhole();
    java.lang.String str32 = fraction22.toProperString();
    org.apache.commons.lang.math.Fraction fraction33 = fraction12.divideBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction38 = fraction35.multiplyBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.divideBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction40 = fraction12.subtract(fraction39);
    long long41 = fraction39.longValue();
    org.apache.commons.lang.math.Fraction fraction42 = fraction4.subtract(fraction39);
    double d43 = fraction39.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1/1"+ "'", str23.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "1"+ "'", str32.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 10);
    long long3 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 2);
    float f3 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction4.multiplyBy(fraction18);
    org.apache.commons.lang.math.Fraction fraction20 = fraction18.reduce();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction26 = fraction23.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction28 = fraction23.pow(0);
    org.apache.commons.lang.math.Fraction fraction29 = fraction22.add(fraction23);
    java.lang.String str30 = fraction29.toProperString();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction32 = fraction31.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction34 = fraction31.multiplyBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.pow(0);
    java.lang.String str37 = fraction36.toString();
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction40 = fraction39.negate();
    boolean b42 = fraction39.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction43 = fraction38.add(fraction39);
    org.apache.commons.lang.math.Fraction fraction44 = fraction36.subtract(fraction38);
    int i45 = fraction36.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction46 = fraction29.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction47 = fraction20.multiplyBy(fraction46);
    org.apache.commons.lang.math.Fraction fraction48 = fraction2.subtract(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "11 1/2"+ "'", str30.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "1/1"+ "'", str37.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.abs();
    double d22 = fraction20.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction15.subtract(fraction19);
    int i21 = fraction15.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(100, 11, 2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction5 = fraction3.pow(5);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(100, 2, 5);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    int i5 = fraction4.getDenominator();
    boolean b6 = fraction3.equals((java.lang.Object)i5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction17 = fraction7.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = fraction7.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction21.reduce();
    java.lang.Object obj24 = null;
    boolean b25 = fraction21.equals(obj24);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.negate();
    org.apache.commons.lang.math.Fraction fraction27 = fraction21.invert();
    int i28 = fraction3.compareTo((java.lang.Object)fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.pow(0);
    java.lang.String str11 = fraction10.toString();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.add(fraction13);
    org.apache.commons.lang.math.Fraction fraction18 = fraction10.subtract(fraction12);
    int i19 = fraction10.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.subtract(fraction10);
    short s21 = fraction10.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1/1"+ "'", str11.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s21 == (short)1);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    float f27 = fraction6.floatValue();
    org.apache.commons.lang.math.Fraction fraction28 = fraction6.invert();
    float f29 = fraction6.floatValue();
    org.apache.commons.lang.math.Fraction fraction30 = fraction6.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f27 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f29 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    long long4 = fraction2.longValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.invert();
    int i6 = fraction2.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.negate();
    java.lang.String str7 = fraction6.toString();
    long long8 = fraction6.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-1/2"+ "'", str7.equals("-1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.negate();
    double d9 = fraction8.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.0d));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toProperString();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.multiplyBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction3.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction17);
    int i19 = fraction17.intValue();
    boolean b20 = fraction1.equals((java.lang.Object)fraction17);
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction26 = fraction23.multiplyBy(fraction25);
    int i27 = fraction23.getDenominator();
    org.apache.commons.lang.math.Fraction fraction28 = fraction22.subtract(fraction23);
    boolean b29 = fraction21.equals((java.lang.Object)fraction22);
    // The following exception was thrown during execution in test generation
    try {
      int i30 = fraction1.compareTo((java.lang.Object)b29);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1"+ "'", str2.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("-4/15");
    int i2 = fraction1.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.pow(0);
    int i7 = fraction0.getProperWhole();
    int i8 = fraction0.getDenominator();
    java.lang.String str9 = fraction0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1/1"+ "'", str9.equals("1/1"));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.Object obj17 = null;
    boolean b18 = fraction14.equals(obj17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    boolean b26 = fraction23.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction27 = fraction22.add(fraction23);
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction31 = fraction28.multiplyBy(fraction30);
    org.apache.commons.lang.math.Fraction fraction33 = fraction28.pow(0);
    java.lang.String str34 = fraction33.toString();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction37 = fraction36.negate();
    boolean b39 = fraction36.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction40 = fraction35.add(fraction36);
    org.apache.commons.lang.math.Fraction fraction41 = fraction33.subtract(fraction35);
    int i42 = fraction33.getProperWhole();
    java.lang.String str43 = fraction33.toProperString();
    org.apache.commons.lang.math.Fraction fraction44 = fraction23.divideBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction45 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction46 = fraction19.divideBy(fraction45);
    float f47 = fraction19.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "1/1"+ "'", str34.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "1"+ "'", str43.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f47 == (-0.6666667f));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.negate();
    java.lang.String str7 = fraction6.toString();
    short s8 = fraction6.shortValue();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction11 = fraction9.pow(0);
    // The following exception was thrown during execution in test generation
    try {
      int i12 = fraction6.compareTo((java.lang.Object)0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-1/2"+ "'", str7.equals("-1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction5.byteValue();
    java.lang.String str7 = fraction5.toProperString();
    java.lang.Object obj8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = fraction5.compareTo(obj8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0"+ "'", str7.equals("0"));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.abs();
    int i20 = fraction16.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.abs();
    int i5 = fraction4.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction15.subtract(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.divideBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    org.apache.commons.lang.math.Fraction fraction41 = fraction21.divideBy(fraction40);
    java.lang.String str42 = fraction21.toProperString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction43 = fraction15.divideBy(fraction21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "0"+ "'", str42.equals("0"));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    int i30 = fraction29.getProperNumerator();
    int i31 = fraction29.intValue();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.reduce();
    org.apache.commons.lang.math.Fraction fraction35 = fraction29.add(fraction33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction37 = fraction33.pow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    float f7 = fraction5.floatValue();
    java.lang.Object obj8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = fraction5.compareTo(obj8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 1.0f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    int i13 = fraction4.compareTo((java.lang.Object)fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    int i20 = fraction4.compareTo((java.lang.Object)fraction14);
    org.apache.commons.lang.math.Fraction fraction21 = fraction4.reduce();
    double d22 = fraction21.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.abs();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i7 = fraction6.intValue();
    int i8 = fraction6.getProperNumerator();
    double d9 = fraction6.doubleValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b13 = fraction6.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction14 = fraction6.invert();
    boolean b15 = fraction4.equals((java.lang.Object)fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    org.apache.commons.lang.math.Fraction fraction10 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    int i15 = fraction11.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = fraction11.pow(0);
    int i18 = fraction11.getProperWhole();
    int i19 = fraction11.getDenominator();
    org.apache.commons.lang.math.Fraction fraction20 = fraction11.abs();
    org.apache.commons.lang.math.Fraction fraction21 = fraction10.add(fraction11);
    double d22 = fraction21.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toString();
    int i3 = fraction1.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.invert();
    long long5 = fraction1.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1/1"+ "'", str2.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-1L));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    java.lang.String str2 = fraction0.toString();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1/2"+ "'", str2.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction30 = fraction21.reduce();
    int i31 = fraction30.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.divideBy(fraction20);
    java.lang.String str23 = fraction22.toString();
    boolean b24 = fraction15.equals((java.lang.Object)fraction22);
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.abs();
    int i26 = fraction0.compareTo((java.lang.Object)fraction22);
    java.lang.String str27 = fraction0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "0/1"+ "'", str23.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "1/1"+ "'", str27.equals("1/1"));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    int i5 = fraction1.getDenominator();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.subtract(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = fraction1.reduce();
    double d8 = fraction7.doubleValue();
    int i9 = fraction7.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.pow(0);
    int i7 = fraction0.getProperWhole();
    int i8 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    float f8 = fraction7.floatValue();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i10 = fraction9.intValue();
    int i11 = fraction9.getProperNumerator();
    double d12 = fraction9.doubleValue();
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.abs();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction31 = fraction28.multiplyBy(fraction30);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.divideBy(fraction30);
    java.lang.String str33 = fraction32.toString();
    boolean b34 = fraction25.equals((java.lang.Object)fraction32);
    org.apache.commons.lang.math.Fraction fraction35 = fraction15.divideBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction37 = fraction36.negate();
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction39 = fraction36.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction42 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction44 = fraction41.multiplyBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction45 = fraction40.divideBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction46 = fraction36.multiplyBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction48 = fraction36.pow(10);
    org.apache.commons.lang.math.Fraction fraction49 = fraction35.subtract(fraction36);
    int i50 = fraction7.compareTo((java.lang.Object)fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "0/1"+ "'", str33.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(4, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    long long4 = fraction3.longValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.reduce();
    short s8 = fraction6.shortValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction3.divideBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction10.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction24 = fraction21.multiplyBy(fraction23);
    org.apache.commons.lang.math.Fraction fraction25 = fraction10.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = fraction26.divideBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction30 = fraction25.subtract(fraction29);
    int i31 = fraction3.compareTo((java.lang.Object)fraction29);
    java.lang.String str32 = fraction29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "3/4"+ "'", str32.equals("3/4"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    java.lang.Object obj4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = fraction0.compareTo(obj4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.multiplyBy(fraction17);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.pow((-1));
    int i22 = fraction21.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/2"+ "'", str19.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    double d4 = fraction3.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction3.invert();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.pow(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    int i4 = fraction0.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.negate();
    short s6 = fraction5.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s6 == (short)(-1));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getDenominator();
    int i8 = fraction3.intValue();
    int i9 = fraction3.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toString();
    int i3 = fraction1.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.negate();
    int i5 = fraction1.getDenominator();
    int i6 = fraction1.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1/1"+ "'", str2.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    int i7 = fraction0.getNumerator();
    byte byte8 = fraction0.byteValue();
    int i9 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte8 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(50.0d);
    byte byte2 = fraction1.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)50);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    int i9 = fraction7.getProperWhole();
    long long10 = fraction7.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.divideBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction7.divideBy(fraction11);
    int i16 = fraction11.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    double d7 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.abs();
    java.lang.String str13 = fraction12.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "2/1"+ "'", str13.equals("2/1"));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(21, 100, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 1);
    int i3 = fraction2.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    boolean b24 = fraction21.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction26 = fraction18.subtract(fraction20);
    org.apache.commons.lang.math.Fraction fraction27 = fraction7.divideBy(fraction26);
    boolean b28 = fraction5.equals((java.lang.Object)fraction7);
    short s29 = fraction5.shortValue();
    org.apache.commons.lang.math.Fraction fraction30 = fraction5.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/1"+ "'", str19.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s29 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.abs();
    long long20 = fraction19.longValue();
    byte byte21 = fraction19.byteValue();
    java.lang.String str22 = fraction19.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte21 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0"+ "'", str22.equals("0"));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getDenominator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = fraction9.abs();
    int i12 = fraction11.intValue();
    int i13 = fraction11.getNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = fraction3.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction16 = fraction3.pow(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.pow(0);
    int i7 = fraction0.getProperWhole();
    int i8 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i11 = fraction10.getNumerator();
    int i12 = fraction0.compareTo((java.lang.Object)fraction10);
    java.lang.String str13 = fraction0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1/1"+ "'", str13.equals("1/1"));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction13 = fraction10.add(fraction12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    long long4 = fraction3.longValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.reduce();
    short s8 = fraction6.shortValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction3.divideBy(fraction6);
    int i10 = fraction9.intValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.getFraction("0/1");
    int i13 = fraction12.getNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.subtract(fraction12);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.getReducedFraction(1, 3);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = fraction12.compareTo((java.lang.Object)3);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.invert();
    int i7 = fraction3.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d3 = fraction2.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = fraction2.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.getFraction("1/4");
    float f18 = fraction17.floatValue();
    // The following exception was thrown during execution in test generation
    try {
      int i19 = fraction15.compareTo((java.lang.Object)f18);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 0.25f);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 21, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    int i2 = fraction0.getNumerator();
    java.lang.String str3 = fraction0.toString();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(5);
    int i6 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1/2"+ "'", str3.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(11, 5, 100);
    int i4 = fraction3.getDenominator();
    int i5 = fraction3.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    byte byte11 = fraction9.byteValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction22 = fraction12.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction24 = fraction12.pow(10);
    long long25 = fraction12.longValue();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i27 = fraction26.intValue();
    int i28 = fraction26.getProperNumerator();
    double d29 = fraction26.doubleValue();
    org.apache.commons.lang.math.Fraction fraction31 = fraction26.pow(0);
    org.apache.commons.lang.math.Fraction fraction33 = fraction26.pow((-1));
    org.apache.commons.lang.math.Fraction fraction34 = fraction12.divideBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction35 = fraction9.add(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte11 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toProperString();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.multiplyBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction3.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction17);
    int i19 = fraction17.intValue();
    boolean b20 = fraction1.equals((java.lang.Object)fraction17);
    org.apache.commons.lang.math.Fraction fraction21 = fraction1.invert();
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.abs();
    int i23 = fraction21.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1"+ "'", str2.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.add(fraction8);
    boolean b15 = fraction4.equals((java.lang.Object)fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction4.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.add(fraction5);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(0.4d);
    int i12 = fraction11.getDenominator();
    org.apache.commons.lang.math.Fraction fraction13 = fraction9.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction26 = fraction23.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction27 = fraction22.divideBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction28 = fraction18.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction30 = fraction29.negate();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction32 = fraction29.multiplyBy(fraction31);
    org.apache.commons.lang.math.Fraction fraction33 = fraction18.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction34 = fraction32.reduce();
    java.lang.Object obj35 = null;
    boolean b36 = fraction32.equals(obj35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction17.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    org.apache.commons.lang.math.Fraction fraction41 = fraction37.divideBy(fraction40);
    short s42 = fraction40.shortValue();
    boolean b43 = fraction13.equals((java.lang.Object)s42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s42 == (short)50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    java.lang.String str9 = fraction5.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "1"+ "'", str9.equals("1"));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i5 = fraction4.intValue();
    int i6 = fraction4.getProperNumerator();
    double d7 = fraction4.doubleValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    org.apache.commons.lang.math.Fraction fraction11 = fraction4.pow((-1));
    int i12 = fraction11.intValue();
    org.apache.commons.lang.math.Fraction fraction13 = fraction0.divideBy(fraction11);
    float f14 = fraction13.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 0.4f);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    int i11 = fraction5.getProperNumerator();
    float f12 = fraction5.floatValue();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    java.lang.String str30 = fraction29.toString();
    boolean b31 = fraction22.equals((java.lang.Object)fraction29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction32 = fraction5.divideBy(fraction29);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0/1"+ "'", str30.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    int i8 = fraction0.intValue();
    java.lang.String str9 = fraction0.toString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = fraction10.abs();
    int i13 = fraction12.intValue();
    long long14 = fraction12.longValue();
    boolean b15 = fraction0.equals((java.lang.Object)fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "2/5"+ "'", str9.equals("2/5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    int i30 = fraction29.getProperNumerator();
    float f31 = fraction29.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f31 == 0.6666667f);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    float f26 = fraction15.floatValue();
    java.lang.String str27 = fraction15.toProperString();
    byte byte28 = fraction15.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f26 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "1"+ "'", str27.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte28 == (byte)1);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_FIFTH;
    java.lang.String str1 = fraction0.toProperString();
    double d2 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1/5"+ "'", str1.equals("1/5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    short s11 = fraction10.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s11 == (short)0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    java.lang.String str21 = fraction0.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = fraction26.divideBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction22.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction22.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction0.add(fraction22);
    int i39 = fraction22.getNumerator();
    float f40 = fraction22.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "0"+ "'", str21.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f40 == 1.0f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    int i17 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.add(fraction5);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.abs();
    int i17 = fraction16.intValue();
    long long18 = fraction16.longValue();
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.invert();
    org.apache.commons.lang.math.Fraction fraction20 = fraction13.divideBy(fraction16);
    int i21 = fraction20.getNumerator();
    // The following exception was thrown during execution in test generation
    try {
      int i22 = fraction2.compareTo((java.lang.Object)i21);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 3);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    boolean b15 = fraction7.equals((java.lang.Object)(short)100);
    int i16 = fraction7.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, 10);
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.divideBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.divideBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction3.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction2.subtract(fraction15);
    double d17 = fraction15.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.add(fraction25);
    int i27 = fraction25.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction28 = fraction17.multiplyBy(fraction25);
    int i29 = fraction25.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    int i34 = fraction30.getDenominator();
    org.apache.commons.lang.math.Fraction fraction35 = fraction30.invert();
    org.apache.commons.lang.math.Fraction fraction36 = fraction25.divideBy(fraction35);
    java.lang.String str37 = fraction36.toProperString();
    int i38 = fraction36.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "10 1/2"+ "'", str37.equals("10 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 10);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(243, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    int i9 = fraction2.getNumerator();
    short s10 = fraction2.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s10 == (short)1);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    byte byte1 = fraction0.byteValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i15 = fraction14.intValue();
    int i16 = fraction14.getProperNumerator();
    double d17 = fraction14.doubleValue();
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.pow(0);
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.abs();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.reduce();
    int i22 = fraction7.compareTo((java.lang.Object)fraction19);
    int i23 = fraction7.intValue();
    int i24 = fraction7.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("3/10");
    byte byte2 = fraction1.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    java.lang.String str2 = fraction0.toString();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.negate();
    // The following exception was thrown during execution in test generation
    try {
      int i5 = fraction3.compareTo((java.lang.Object)"3/4");
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1/2"+ "'", str2.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    boolean b15 = fraction12.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction16 = fraction12.reduce();
    int i17 = fraction16.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction18 = fraction4.divideBy(fraction16);
    int i19 = fraction18.intValue();
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.pow(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction4 = fraction2.pow(1);
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(243, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    int i6 = fraction5.getProperWhole();
    byte byte7 = fraction5.byteValue();
    int i8 = fraction5.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte7 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    int i8 = fraction0.intValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(10, 2);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.invert();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction13.negate();
    java.lang.String str18 = fraction17.toString();
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.add(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.subtract(fraction11);
    int i21 = fraction20.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "-1/1"+ "'", str18.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 10);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(100, 5);
    float f3 = fraction2.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 20.0f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction27.multiplyBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction43 = fraction41.reduce();
    java.lang.Object obj44 = null;
    boolean b45 = fraction41.equals(obj44);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction47 = fraction26.divideBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction50 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d51 = fraction50.doubleValue();
    org.apache.commons.lang.math.Fraction fraction52 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction53 = fraction52.negate();
    boolean b55 = fraction52.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction56 = fraction52.reduce();
    org.apache.commons.lang.math.Fraction fraction57 = fraction50.multiplyBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction59 = fraction58.negate();
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction61 = fraction58.multiplyBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction62 = fraction50.multiplyBy(fraction61);
    int i63 = fraction41.compareTo((java.lang.Object)fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction((-0.01d));
    int i2 = fraction1.getNumerator();
    int i3 = fraction1.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(3, 2, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    int i16 = fraction15.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction17 = fraction15.negate();
    boolean b18 = fraction4.equals((java.lang.Object)fraction15);
    int i19 = fraction4.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(5);
    java.lang.String str5 = fraction0.toString();
    int i6 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1/3"+ "'", str5.equals("1/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(11, 5);
    java.lang.String str3 = fraction2.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "2 1/5"+ "'", str3.equals("2 1/5"));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(10, 10);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.abs();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    org.apache.commons.lang.math.Fraction fraction16 = fraction9.add(fraction10);
    int i17 = fraction10.getNumerator();
    org.apache.commons.lang.math.Fraction fraction18 = fraction6.subtract(fraction10);
    float f19 = fraction6.floatValue();
    boolean b20 = fraction2.equals((java.lang.Object)fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f19 == 3.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction((-1.0d));
    double d2 = fraction1.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction14.getNumerator();
    int i17 = fraction14.getNumerator();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(2, 1);
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.pow(3);
    org.apache.commons.lang.math.Fraction fraction23 = fraction14.add(fraction22);
    java.lang.Object obj24 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i25 = fraction14.compareTo(obj24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(23, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(10, 243);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    int i20 = fraction11.getProperWhole();
    java.lang.String str21 = fraction11.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction1.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction23 = fraction11.negate();
    float f24 = fraction23.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1"+ "'", str21.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f24 == (-1.0f));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.abs();
    java.lang.Object obj8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = fraction7.compareTo(obj8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(0.5d);
    int i2 = fraction1.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    float f26 = fraction15.floatValue();
    java.lang.String str27 = fraction15.toProperString();
    org.apache.commons.lang.math.Fraction fraction29 = fraction15.pow(23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f26 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "1"+ "'", str27.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.add(fraction5);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(0.4d);
    int i12 = fraction11.getDenominator();
    org.apache.commons.lang.math.Fraction fraction13 = fraction9.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    boolean b24 = fraction21.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction26 = fraction18.subtract(fraction20);
    org.apache.commons.lang.math.Fraction fraction27 = fraction7.divideBy(fraction26);
    boolean b28 = fraction5.equals((java.lang.Object)fraction7);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction32 = fraction5.divideBy(fraction31);
    int i33 = fraction32.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/1"+ "'", str19.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    int i7 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.lang.math.Fraction fraction15 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.reduce();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(10, 2, 2);
    org.apache.commons.lang.math.Fraction fraction21 = fraction13.multiplyBy(fraction20);
    int i22 = fraction0.compareTo((java.lang.Object)fraction13);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d26 = fraction25.doubleValue();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    boolean b30 = fraction27.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction31 = fraction27.reduce();
    org.apache.commons.lang.math.Fraction fraction32 = fraction25.multiplyBy(fraction27);
    float f33 = fraction27.floatValue();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction41 = fraction40.negate();
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction43 = fraction40.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction40.pow(0);
    java.lang.String str46 = fraction45.toString();
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction48 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction49 = fraction48.negate();
    boolean b51 = fraction48.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction52 = fraction47.add(fraction48);
    org.apache.commons.lang.math.Fraction fraction53 = fraction45.subtract(fraction47);
    int i54 = fraction45.getProperWhole();
    java.lang.String str55 = fraction45.toProperString();
    org.apache.commons.lang.math.Fraction fraction56 = fraction35.divideBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction57 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction59 = fraction58.negate();
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction61 = fraction58.multiplyBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction62 = fraction57.divideBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction63 = fraction35.subtract(fraction62);
    long long64 = fraction62.longValue();
    org.apache.commons.lang.math.Fraction fraction65 = fraction27.subtract(fraction62);
    org.apache.commons.lang.math.Fraction fraction66 = fraction13.subtract(fraction65);
    org.apache.commons.lang.math.Fraction fraction67 = fraction65.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "0/1"+ "'", str14.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f33 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "1/1"+ "'", str46.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "1"+ "'", str55.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    float f11 = fraction9.floatValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction22 = fraction12.multiplyBy(fraction19);
    short s23 = fraction12.shortValue();
    org.apache.commons.lang.math.Fraction fraction24 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction25 = fraction9.add(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = fraction0.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i28 = fraction27.intValue();
    int i29 = fraction27.getProperNumerator();
    double d30 = fraction27.doubleValue();
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    // The following exception was thrown during execution in test generation
    try {
      int i34 = fraction0.compareTo((java.lang.Object)str33);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s23 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    double d6 = fraction5.doubleValue();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.add(fraction9);
    java.lang.String str16 = fraction15.toProperString();
    org.apache.commons.lang.math.Fraction fraction17 = fraction5.subtract(fraction15);
    float f18 = fraction17.floatValue();
    org.apache.commons.lang.math.Fraction fraction19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction20 = fraction17.subtract(fraction19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "11 1/2"+ "'", str16.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == (-10.5f));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.reduce();
    java.lang.String str8 = fraction7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1/1"+ "'", str8.equals("1/1"));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(1, 3);
    int i3 = fraction2.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(23, 4, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, (-1), 8);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.Object obj17 = null;
    boolean b18 = fraction14.equals(obj17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i22 = fraction21.intValue();
    int i23 = fraction21.getProperNumerator();
    double d24 = fraction21.doubleValue();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b28 = fraction21.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction29 = fraction20.divideBy(fraction21);
    int i30 = fraction21.intValue();
    // The following exception was thrown during execution in test generation
    try {
      int i31 = fraction14.compareTo((java.lang.Object)i30);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction47 = fraction16.pow(21);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    boolean b24 = fraction21.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction26 = fraction18.subtract(fraction20);
    org.apache.commons.lang.math.Fraction fraction27 = fraction7.divideBy(fraction26);
    boolean b28 = fraction5.equals((java.lang.Object)fraction7);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction32 = fraction5.divideBy(fraction31);
    org.apache.commons.lang.math.Fraction fraction33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction34 = fraction31.multiplyBy(fraction33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/1"+ "'", str19.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.reduce();
    int i10 = fraction9.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    int i47 = fraction46.getDenominator();
    org.apache.commons.lang.math.Fraction fraction48 = fraction46.invert();
    double d49 = fraction46.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == (-1.0d));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    int i5 = fraction1.getDenominator();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.subtract(fraction1);
    int i7 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction0.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(2, 21, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.pow(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    double d6 = fraction5.doubleValue();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.add(fraction9);
    java.lang.String str16 = fraction15.toProperString();
    org.apache.commons.lang.math.Fraction fraction17 = fraction5.subtract(fraction15);
    java.lang.String str18 = fraction5.toString();
    long long19 = fraction5.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "11 1/2"+ "'", str16.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "1/1"+ "'", str18.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 1L);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d9 = fraction8.doubleValue();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    boolean b13 = fraction10.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction14 = fraction10.reduce();
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction16 = fraction5.multiplyBy(fraction10);
    long long17 = fraction16.longValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction18 = fraction16.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i15 = fraction14.intValue();
    int i16 = fraction14.getProperNumerator();
    double d17 = fraction14.doubleValue();
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.pow(0);
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.abs();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.reduce();
    int i22 = fraction7.compareTo((java.lang.Object)fraction19);
    java.lang.String str23 = fraction19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1/1"+ "'", str23.equals("1/1"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.add(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.invert();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction9.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction23 = fraction20.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = fraction9.multiplyBy(fraction23);
    int i25 = fraction9.getDenominator();
    org.apache.commons.lang.math.Fraction fraction26 = fraction9.reduce();
    org.apache.commons.lang.math.Fraction fraction27 = fraction8.add(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(5, 8, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 1, 10);
    short s4 = fraction3.shortValue();
    int i5 = fraction3.getDenominator();
    int i6 = fraction3.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    byte byte3 = fraction2.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)3);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    int i14 = fraction13.getProperWhole();
    long long15 = fraction13.longValue();
    byte byte16 = fraction13.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte16 == (byte)0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, 4);
    int i3 = fraction2.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(11, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction26 = fraction15.negate();
    int i27 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    boolean b31 = fraction28.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction32 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction35 = fraction34.negate();
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction37 = fraction34.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction33.divideBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction40 = fraction39.negate();
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction42 = fraction39.multiplyBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction43 = fraction38.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction48 = fraction45.multiplyBy(fraction47);
    org.apache.commons.lang.math.Fraction fraction49 = fraction44.divideBy(fraction47);
    java.lang.String str50 = fraction49.toString();
    boolean b51 = fraction42.equals((java.lang.Object)fraction49);
    org.apache.commons.lang.math.Fraction fraction53 = fraction49.pow(0);
    org.apache.commons.lang.math.Fraction fraction54 = fraction28.multiplyBy(fraction53);
    org.apache.commons.lang.math.Fraction fraction55 = fraction15.subtract(fraction54);
    float f56 = fraction54.floatValue();
    int i57 = fraction54.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "0/1"+ "'", str50.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f56 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    float f8 = fraction7.floatValue();
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.pow(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(11, 21, 10);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.multiplyBy(fraction13);
    int i15 = fraction14.getProperNumerator();
    // The following exception was thrown during execution in test generation
    try {
      int i16 = fraction3.compareTo((java.lang.Object)i15);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(10, 2);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.invert();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction13.negate();
    java.lang.String str18 = fraction17.toString();
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.add(fraction17);
    boolean b20 = fraction7.equals((java.lang.Object)fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "-1/1"+ "'", str18.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toProperString();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = fraction3.abs();
    int i6 = fraction5.intValue();
    int i7 = fraction5.getNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction5.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction14 = fraction8.pow(100);
    org.apache.commons.lang.math.Fraction fraction15 = fraction1.divideBy(fraction14);
    long long16 = fraction15.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1"+ "'", str2.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-1L));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    java.lang.Object obj17 = null;
    boolean b18 = fraction14.equals(obj17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i23 = fraction22.intValue();
    int i24 = fraction22.getProperNumerator();
    double d25 = fraction22.doubleValue();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b29 = fraction22.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction30 = fraction19.multiplyBy(fraction22);
    int i31 = fraction22.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 2);
    int i3 = fraction2.getProperNumerator();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction4 = fraction2.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    float f11 = fraction9.floatValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction22 = fraction12.multiplyBy(fraction19);
    short s23 = fraction12.shortValue();
    org.apache.commons.lang.math.Fraction fraction24 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction25 = fraction9.add(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = fraction0.multiplyBy(fraction9);
    int i27 = fraction26.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s23 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    byte byte4 = fraction2.byteValue();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction6 = fraction2.pow(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte4 == (byte)0);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    int i17 = fraction14.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.pow(1);
    int i23 = fraction14.compareTo((java.lang.Object)fraction20);
    java.lang.String str24 = fraction14.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "2/3"+ "'", str24.equals("2/3"));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.add(fraction25);
    int i27 = fraction25.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction28 = fraction17.multiplyBy(fraction25);
    int i29 = fraction25.getNumerator();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction38 = fraction35.multiplyBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.divideBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction40 = fraction30.multiplyBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction42 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction44 = fraction41.multiplyBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction45 = fraction30.multiplyBy(fraction44);
    org.apache.commons.lang.math.Fraction fraction46 = fraction44.reduce();
    org.apache.commons.lang.math.Fraction fraction48 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction50 = fraction49.negate();
    org.apache.commons.lang.math.Fraction fraction51 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction52 = fraction49.multiplyBy(fraction51);
    org.apache.commons.lang.math.Fraction fraction54 = fraction49.pow(0);
    org.apache.commons.lang.math.Fraction fraction55 = fraction48.add(fraction49);
    java.lang.String str56 = fraction55.toProperString();
    org.apache.commons.lang.math.Fraction fraction57 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction58 = fraction57.negate();
    org.apache.commons.lang.math.Fraction fraction59 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction60 = fraction57.multiplyBy(fraction59);
    org.apache.commons.lang.math.Fraction fraction62 = fraction57.pow(0);
    java.lang.String str63 = fraction62.toString();
    org.apache.commons.lang.math.Fraction fraction64 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction65 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction66 = fraction65.negate();
    boolean b68 = fraction65.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction69 = fraction64.add(fraction65);
    org.apache.commons.lang.math.Fraction fraction70 = fraction62.subtract(fraction64);
    int i71 = fraction62.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction72 = fraction55.multiplyBy(fraction62);
    org.apache.commons.lang.math.Fraction fraction73 = fraction46.multiplyBy(fraction72);
    int i74 = fraction72.getProperNumerator();
    double d75 = fraction72.doubleValue();
    double d76 = fraction72.doubleValue();
    org.apache.commons.lang.math.Fraction fraction77 = fraction25.multiplyBy(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "11 1/2"+ "'", str56.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "1/1"+ "'", str63.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 11.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 11.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(0, 1);
    int i3 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.pow(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction6 = fraction2.invert();
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction39 = fraction27.pow(10);
    org.apache.commons.lang.math.Fraction fraction40 = fraction26.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction43 = fraction42.negate();
    boolean b45 = fraction42.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.add(fraction42);
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction48 = fraction47.negate();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction50 = fraction47.multiplyBy(fraction49);
    org.apache.commons.lang.math.Fraction fraction52 = fraction47.pow(0);
    java.lang.String str53 = fraction52.toString();
    org.apache.commons.lang.math.Fraction fraction54 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction55 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction56 = fraction55.negate();
    boolean b58 = fraction55.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction59 = fraction54.add(fraction55);
    org.apache.commons.lang.math.Fraction fraction60 = fraction52.subtract(fraction54);
    int i61 = fraction52.getProperWhole();
    java.lang.String str62 = fraction52.toProperString();
    org.apache.commons.lang.math.Fraction fraction63 = fraction42.divideBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction64 = fraction27.multiplyBy(fraction42);
    java.lang.String str65 = fraction27.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "1/1"+ "'", str53.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "1"+ "'", str62.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "1"+ "'", str65.equals("1"));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.FOUR_FIFTHS;
    long long1 = fraction0.longValue();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    int i7 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.lang.math.Fraction fraction15 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.reduce();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(10, 2, 2);
    org.apache.commons.lang.math.Fraction fraction21 = fraction13.multiplyBy(fraction20);
    int i22 = fraction0.compareTo((java.lang.Object)fraction13);
    org.apache.commons.lang.math.Fraction fraction23 = fraction0.abs();
    int i24 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "0/1"+ "'", str14.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction8 = fraction0.pow(10);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction9.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction21 = fraction9.pow(10);
    int i22 = fraction0.compareTo((java.lang.Object)fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(8, 100, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction39 = fraction27.pow(10);
    org.apache.commons.lang.math.Fraction fraction40 = fraction26.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction43 = fraction42.negate();
    boolean b45 = fraction42.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.add(fraction42);
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction48 = fraction47.negate();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction50 = fraction47.multiplyBy(fraction49);
    org.apache.commons.lang.math.Fraction fraction52 = fraction47.pow(0);
    java.lang.String str53 = fraction52.toString();
    org.apache.commons.lang.math.Fraction fraction54 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction55 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction56 = fraction55.negate();
    boolean b58 = fraction55.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction59 = fraction54.add(fraction55);
    org.apache.commons.lang.math.Fraction fraction60 = fraction52.subtract(fraction54);
    int i61 = fraction52.getProperWhole();
    java.lang.String str62 = fraction52.toProperString();
    org.apache.commons.lang.math.Fraction fraction63 = fraction42.divideBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction64 = fraction27.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction65 = fraction42.negate();
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction67 = fraction66.negate();
    boolean b69 = fraction66.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction70 = fraction66.negate();
    org.apache.commons.lang.math.Fraction fraction71 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction72 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction73 = fraction72.negate();
    org.apache.commons.lang.math.Fraction fraction74 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction75 = fraction72.multiplyBy(fraction74);
    org.apache.commons.lang.math.Fraction fraction76 = fraction71.divideBy(fraction74);
    org.apache.commons.lang.math.Fraction fraction77 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction78 = fraction77.negate();
    org.apache.commons.lang.math.Fraction fraction79 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction80 = fraction77.multiplyBy(fraction79);
    org.apache.commons.lang.math.Fraction fraction81 = fraction76.multiplyBy(fraction80);
    int i82 = fraction81.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction83 = fraction81.negate();
    boolean b84 = fraction70.equals((java.lang.Object)fraction81);
    org.apache.commons.lang.math.Fraction fraction85 = fraction42.divideBy(fraction70);
    short s86 = fraction70.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "1/1"+ "'", str53.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "1"+ "'", str62.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s86 == (short)(-1));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    java.lang.String str9 = fraction8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "45/4"+ "'", str9.equals("45/4"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("1");
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.reduce();
    org.apache.commons.lang.math.Fraction fraction3 = fraction1.negate();
    java.lang.String str4 = fraction3.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "-1"+ "'", str4.equals("-1"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    java.lang.String str3 = fraction2.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    double d8 = fraction7.doubleValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction7.reduce();
    int i10 = fraction9.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction11 = fraction2.subtract(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "3/1"+ "'", str3.equals("3/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    int i7 = fraction0.getNumerator();
    int i8 = fraction0.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.pow(10);
    long long13 = fraction0.longValue();
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.abs();
    java.lang.Object obj17 = null;
    boolean b18 = fraction0.equals(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("-1/2");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction4 = fraction2.pow(1);
    double d5 = fraction4.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.6666666666666666d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    int i12 = fraction11.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.add(fraction11);
    int i14 = fraction13.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.abs();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.pow(0);
    org.apache.commons.lang.math.Fraction fraction13 = fraction6.add(fraction7);
    int i14 = fraction7.getNumerator();
    org.apache.commons.lang.math.Fraction fraction15 = fraction3.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction16 = fraction3.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction18 = fraction16.multiplyBy(fraction17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    short s12 = fraction10.shortValue();
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    boolean b18 = fraction15.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.add(fraction15);
    org.apache.commons.lang.math.Fraction fraction20 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction22 = fraction14.pow(10);
    org.apache.commons.lang.math.Fraction fraction23 = fraction14.invert();
    org.apache.commons.lang.math.Fraction fraction24 = fraction13.subtract(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s12 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b7 = fraction0.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.abs();
    int i10 = fraction8.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.invert();
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getReducedFraction(3, 2);
    boolean b19 = fraction7.equals((java.lang.Object)fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(23, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction26 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.divideBy(fraction28);
    long long31 = fraction30.longValue();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.reduce();
    short s35 = fraction33.shortValue();
    org.apache.commons.lang.math.Fraction fraction36 = fraction30.divideBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction37 = fraction36.invert();
    int i38 = fraction26.compareTo((java.lang.Object)fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s35 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(5);
    java.lang.String str5 = fraction0.toString();
    int i6 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1/3"+ "'", str5.equals("1/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 3);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction16.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction21.invert();
    float f25 = fraction21.floatValue();
    boolean b27 = fraction21.equals((java.lang.Object)(short)10);
    // The following exception was thrown during execution in test generation
    try {
      int i29 = fraction21.compareTo((java.lang.Object)(short)1);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f25 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    byte byte1 = fraction0.byteValue();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte1 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(5, (-3), (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    int i13 = fraction11.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction39 = fraction27.pow(10);
    org.apache.commons.lang.math.Fraction fraction40 = fraction26.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction43 = fraction42.negate();
    boolean b45 = fraction42.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.add(fraction42);
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction48 = fraction47.negate();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction50 = fraction47.multiplyBy(fraction49);
    org.apache.commons.lang.math.Fraction fraction52 = fraction47.pow(0);
    java.lang.String str53 = fraction52.toString();
    org.apache.commons.lang.math.Fraction fraction54 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction55 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction56 = fraction55.negate();
    boolean b58 = fraction55.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction59 = fraction54.add(fraction55);
    org.apache.commons.lang.math.Fraction fraction60 = fraction52.subtract(fraction54);
    int i61 = fraction52.getProperWhole();
    java.lang.String str62 = fraction52.toProperString();
    org.apache.commons.lang.math.Fraction fraction63 = fraction42.divideBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction64 = fraction27.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction65 = fraction42.negate();
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction67 = fraction66.negate();
    boolean b69 = fraction66.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction70 = fraction66.negate();
    org.apache.commons.lang.math.Fraction fraction71 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction72 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction73 = fraction72.negate();
    org.apache.commons.lang.math.Fraction fraction74 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction75 = fraction72.multiplyBy(fraction74);
    org.apache.commons.lang.math.Fraction fraction76 = fraction71.divideBy(fraction74);
    org.apache.commons.lang.math.Fraction fraction77 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction78 = fraction77.negate();
    org.apache.commons.lang.math.Fraction fraction79 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction80 = fraction77.multiplyBy(fraction79);
    org.apache.commons.lang.math.Fraction fraction81 = fraction76.multiplyBy(fraction80);
    int i82 = fraction81.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction83 = fraction81.negate();
    boolean b84 = fraction70.equals((java.lang.Object)fraction81);
    org.apache.commons.lang.math.Fraction fraction85 = fraction42.divideBy(fraction70);
    java.lang.String str86 = fraction85.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "1/1"+ "'", str53.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "1"+ "'", str62.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str86 + "' != '" + "-1"+ "'", str86.equals("-1"));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction23 = fraction20.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.pow(0);
    java.lang.String str26 = fraction25.toString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    boolean b31 = fraction28.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.add(fraction28);
    org.apache.commons.lang.math.Fraction fraction33 = fraction25.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction34 = fraction14.divideBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction35 = fraction13.multiplyBy(fraction34);
    int i36 = fraction35.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1/1"+ "'", str26.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(10, 2);
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.invert();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.negate();
    java.lang.String str9 = fraction8.toString();
    org.apache.commons.lang.math.Fraction fraction10 = fraction2.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction12 = fraction8.pow(1);
    java.lang.String str13 = fraction8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1/1"+ "'", str9.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "-1/1"+ "'", str13.equals("-1/1"));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    double d21 = fraction20.doubleValue();
    java.lang.String str22 = fraction20.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0"+ "'", str22.equals("0"));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    int i4 = fraction0.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.subtract(fraction6);
    java.lang.String str8 = fraction7.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "2/3"+ "'", str8.equals("2/3"));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction25 = fraction21.pow(0);
    org.apache.commons.lang.math.Fraction fraction26 = fraction0.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.reduce();
    short s30 = fraction28.shortValue();
    boolean b31 = fraction26.equals((java.lang.Object)s30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s30 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction15 = fraction5.pow(0);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i17 = fraction16.intValue();
    int i18 = fraction16.getProperNumerator();
    double d19 = fraction16.doubleValue();
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.abs();
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction23.divideBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction30 = fraction29.negate();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction32 = fraction29.multiplyBy(fraction31);
    org.apache.commons.lang.math.Fraction fraction33 = fraction28.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction38 = fraction35.multiplyBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.divideBy(fraction37);
    java.lang.String str40 = fraction39.toString();
    boolean b41 = fraction32.equals((java.lang.Object)fraction39);
    org.apache.commons.lang.math.Fraction fraction42 = fraction22.divideBy(fraction32);
    int i43 = fraction42.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction44 = fraction42.invert();
    org.apache.commons.lang.math.Fraction fraction45 = fraction5.divideBy(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "0/1"+ "'", str40.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    java.lang.String str21 = fraction20.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.abs();
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.reduce();
    org.apache.commons.lang.math.Fraction fraction24 = fraction22.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "0"+ "'", str21.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.divideBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction26 = fraction21.add(fraction25);
    int i27 = fraction25.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction28 = fraction17.multiplyBy(fraction25);
    int i29 = fraction25.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    int i34 = fraction30.getDenominator();
    org.apache.commons.lang.math.Fraction fraction35 = fraction30.invert();
    org.apache.commons.lang.math.Fraction fraction36 = fraction25.divideBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction37.divideBy(fraction40);
    int i43 = fraction42.getProperWhole();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction44 = fraction35.divideBy(fraction42);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 100, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = fraction16.reduce();
    org.apache.commons.lang.math.Fraction fraction28 = fraction16.invert();
    org.apache.commons.lang.math.Fraction fraction29 = fraction16.negate();
    short s30 = fraction29.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s30 == (short)0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-3), 0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    java.lang.String str14 = fraction5.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "1"+ "'", str14.equals("1"));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    int i9 = fraction7.getProperWhole();
    long long10 = fraction7.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.divideBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction7.divideBy(fraction11);
    int i16 = fraction7.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 10);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.invert();
    int i7 = fraction6.intValue();
    java.lang.String str8 = fraction6.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1 1/2"+ "'", str8.equals("1 1/2"));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    boolean b15 = fraction7.equals((java.lang.Object)(short)100);
    org.apache.commons.lang.math.Fraction fraction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction17 = fraction7.add(fraction16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    float f6 = fraction3.floatValue();
    int i7 = fraction3.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(4, 3, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    int i44 = fraction42.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    long long47 = fraction45.longValue();
    int i48 = fraction45.getNumerator();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction50 = fraction49.negate();
    org.apache.commons.lang.math.Fraction fraction51 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction52 = fraction49.multiplyBy(fraction51);
    org.apache.commons.lang.math.Fraction fraction54 = fraction49.pow(0);
    long long55 = fraction49.longValue();
    org.apache.commons.lang.math.Fraction fraction56 = fraction45.add(fraction49);
    org.apache.commons.lang.math.Fraction fraction57 = fraction56.abs();
    int i58 = fraction42.compareTo((java.lang.Object)fraction57);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction60 = fraction42.pow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    int i30 = fraction29.getProperNumerator();
    int i31 = fraction29.intValue();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.reduce();
    org.apache.commons.lang.math.Fraction fraction35 = fraction29.add(fraction33);
    short s36 = fraction33.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s36 == (short)10);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i28 = fraction27.intValue();
    int i29 = fraction27.getProperNumerator();
    double d30 = fraction27.doubleValue();
    org.apache.commons.lang.math.Fraction fraction31 = fraction27.invert();
    org.apache.commons.lang.math.Fraction fraction32 = fraction16.subtract(fraction31);
    org.apache.commons.lang.math.Fraction fraction33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction34 = fraction32.multiplyBy(fraction33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    float f6 = fraction3.floatValue();
    float f7 = fraction3.floatValue();
    org.apache.commons.lang.math.Fraction fraction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction9 = fraction3.multiplyBy(fraction8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(3, (-1));
    int i3 = fraction2.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    int i8 = fraction0.intValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getFraction(10, 2);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.invert();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction13.negate();
    java.lang.String str18 = fraction17.toString();
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.add(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.subtract(fraction11);
    int i21 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "-1/1"+ "'", str18.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    int i9 = fraction7.getProperWhole();
    long long10 = fraction7.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i12 = fraction11.intValue();
    int i13 = fraction11.getProperNumerator();
    double d14 = fraction11.doubleValue();
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.pow(0);
    java.lang.String str17 = fraction16.toString();
    org.apache.commons.lang.math.Fraction fraction18 = fraction7.divideBy(fraction16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction20 = fraction7.pow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "1/1"+ "'", str17.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, 4);
    double d3 = fraction2.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.75d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    int i47 = fraction46.getDenominator();
    float f48 = fraction46.floatValue();
    org.apache.commons.lang.math.Fraction fraction49 = fraction46.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f48 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction13 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction14 = fraction0.negate();
    java.lang.String str15 = fraction14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "-1/1"+ "'", str15.equals("-1/1"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    java.lang.String str21 = fraction0.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = fraction26.divideBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction22.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction22.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction0.add(fraction22);
    int i39 = fraction0.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "0"+ "'", str21.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction17 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.reduce();
    int i19 = fraction0.getProperNumerator();
    int i20 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    int i3 = fraction2.intValue();
    int i4 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.Object obj6 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = fraction5.compareTo(obj6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    org.apache.commons.lang.math.Fraction fraction50 = org.apache.commons.lang.math.Fraction.getFraction(11, 2, 3);
    int i51 = fraction46.compareTo((java.lang.Object)fraction50);
    int i52 = fraction46.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == (-1));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10, 1, 2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.add(fraction7);
    int i9 = fraction7.getProperWhole();
    long long10 = fraction7.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.divideBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction7.divideBy(fraction11);
    short s16 = fraction15.shortValue();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.abs();
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.pow(0);
    org.apache.commons.lang.math.Fraction fraction30 = fraction23.add(fraction24);
    int i31 = fraction24.getNumerator();
    org.apache.commons.lang.math.Fraction fraction32 = fraction20.subtract(fraction24);
    int i33 = fraction20.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction34 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction35 = fraction15.multiplyBy(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s16 == (short)14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("2 1/5");
    short s2 = fraction1.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)2);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(3, 0, 2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i5 = fraction4.intValue();
    int i6 = fraction4.getProperNumerator();
    double d7 = fraction4.doubleValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.abs();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction26 = fraction23.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction27 = fraction22.divideBy(fraction25);
    java.lang.String str28 = fraction27.toString();
    boolean b29 = fraction20.equals((java.lang.Object)fraction27);
    org.apache.commons.lang.math.Fraction fraction30 = fraction10.divideBy(fraction20);
    float f31 = fraction10.floatValue();
    org.apache.commons.lang.math.Fraction fraction32 = fraction10.invert();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.getFraction(0, (-1));
    org.apache.commons.lang.math.Fraction fraction36 = fraction32.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction3.multiplyBy(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "0/1"+ "'", str28.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f31 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    int i27 = fraction26.getProperWhole();
    int i28 = fraction26.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction25 = fraction21.pow(0);
    org.apache.commons.lang.math.Fraction fraction26 = fraction0.multiplyBy(fraction25);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i28 = fraction27.getNumerator();
    org.apache.commons.lang.math.Fraction fraction29 = fraction27.invert();
    org.apache.commons.lang.math.Fraction fraction31 = fraction27.pow(0);
    org.apache.commons.lang.math.Fraction fraction32 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.getFraction(2, 1);
    org.apache.commons.lang.math.Fraction fraction37 = fraction35.pow(3);
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.getFraction(3, (-1));
    org.apache.commons.lang.math.Fraction fraction41 = fraction40.invert();
    org.apache.commons.lang.math.Fraction fraction42 = fraction35.divideBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction43 = fraction32.multiplyBy(fraction35);
    java.lang.String str44 = fraction35.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "2/1"+ "'", str44.equals("2/1"));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction5.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction16.pow(0);
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    org.apache.commons.lang.math.Fraction fraction47 = fraction45.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("1");
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.reduce();
    org.apache.commons.lang.math.Fraction fraction3 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    float f8 = fraction6.floatValue();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = fraction9.multiplyBy(fraction16);
    short s20 = fraction9.shortValue();
    org.apache.commons.lang.math.Fraction fraction21 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction22 = fraction6.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction3.add(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s20 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.add(fraction19);
    java.lang.String str26 = fraction25.toProperString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    java.lang.String str33 = fraction32.toString();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = fraction32.subtract(fraction34);
    int i41 = fraction32.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction42 = fraction25.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction43 = fraction16.multiplyBy(fraction42);
    int i44 = fraction42.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    long long47 = fraction45.longValue();
    int i48 = fraction45.getNumerator();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction50 = fraction49.negate();
    org.apache.commons.lang.math.Fraction fraction51 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction52 = fraction49.multiplyBy(fraction51);
    org.apache.commons.lang.math.Fraction fraction54 = fraction49.pow(0);
    long long55 = fraction49.longValue();
    org.apache.commons.lang.math.Fraction fraction56 = fraction45.add(fraction49);
    org.apache.commons.lang.math.Fraction fraction57 = fraction56.abs();
    int i58 = fraction42.compareTo((java.lang.Object)fraction57);
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction61 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction62 = fraction61.negate();
    org.apache.commons.lang.math.Fraction fraction63 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction64 = fraction61.multiplyBy(fraction63);
    org.apache.commons.lang.math.Fraction fraction66 = fraction61.pow(0);
    org.apache.commons.lang.math.Fraction fraction67 = fraction60.add(fraction61);
    org.apache.commons.lang.math.Fraction fraction69 = fraction67.pow(0);
    org.apache.commons.lang.math.Fraction fraction70 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i71 = fraction70.getNumerator();
    org.apache.commons.lang.math.Fraction fraction72 = fraction70.invert();
    java.lang.String str73 = fraction72.toString();
    org.apache.commons.lang.math.Fraction fraction74 = fraction69.multiplyBy(fraction72);
    org.apache.commons.lang.math.Fraction fraction75 = fraction42.multiplyBy(fraction74);
    int i76 = fraction74.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "11 1/2"+ "'", str26.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "1/1"+ "'", str33.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long55 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "3/1"+ "'", str73.equals("3/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-3), 0, 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    long long4 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(8, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    org.apache.commons.lang.math.Fraction fraction20 = fraction0.divideBy(fraction19);
    java.lang.String str21 = fraction20.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.abs();
    double d23 = fraction20.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "0"+ "'", str21.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction6 = fraction4.reduce();
    int i7 = fraction6.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(10, 2);
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.invert();
    org.apache.commons.lang.math.Fraction fraction4 = fraction2.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    int i2 = fraction1.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toString();
    int i3 = fraction1.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.invert();
    byte byte5 = fraction1.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1/1"+ "'", str2.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte5 == (byte)(-1));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    double d6 = fraction5.doubleValue();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.add(fraction9);
    java.lang.String str16 = fraction15.toProperString();
    org.apache.commons.lang.math.Fraction fraction17 = fraction5.subtract(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.abs();
    int i19 = fraction15.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "11 1/2"+ "'", str16.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 11);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.reduce();
    double d6 = fraction4.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.5d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction4.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction16 = fraction4.pow(10);
    long long17 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i19 = fraction18.intValue();
    int i20 = fraction18.getProperNumerator();
    double d21 = fraction18.doubleValue();
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.pow(0);
    org.apache.commons.lang.math.Fraction fraction25 = fraction18.pow((-1));
    org.apache.commons.lang.math.Fraction fraction26 = fraction4.divideBy(fraction18);
    int i27 = fraction0.compareTo((java.lang.Object)fraction18);
    int i28 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    int i10 = fraction8.getNumerator();
    int i11 = fraction8.getDenominator();
    org.apache.commons.lang.math.Fraction fraction12 = fraction8.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.add(fraction13);
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.abs();
    int i20 = fraction18.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    int i20 = fraction11.getProperWhole();
    java.lang.String str21 = fraction11.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction1.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.negate();
    boolean b26 = fraction23.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction27 = fraction23.reduce();
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.abs();
    int i29 = fraction11.compareTo((java.lang.Object)fraction27);
    short s30 = fraction27.shortValue();
    double d31 = fraction27.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1"+ "'", str21.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s30 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("45/4");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction8 = fraction0.pow(10);
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.invert();
    int i10 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction23.divideBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction19.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction34 = fraction19.multiplyBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction35 = fraction33.reduce();
    java.lang.Object obj36 = null;
    boolean b37 = fraction33.equals(obj36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction33.negate();
    long long39 = fraction38.longValue();
    int i40 = fraction38.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction41 = fraction9.divideBy(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction9 = fraction5.pow(0);
    int i10 = fraction9.getProperWhole();
    java.lang.String str11 = fraction9.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1"+ "'", str11.equals("1"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(0, 10);
    int i3 = fraction2.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("11 1/2");
    byte byte2 = fraction1.byteValue();
    short s3 = fraction1.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s3 == (short)11);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction27.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction27.multiplyBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction43 = fraction41.reduce();
    java.lang.Object obj44 = null;
    boolean b45 = fraction41.equals(obj44);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction47 = fraction26.divideBy(fraction41);
    int i48 = fraction47.getProperNumerator();
    java.lang.String str49 = fraction47.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "2 1/4"+ "'", str49.equals("2 1/4"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100, 1);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    java.lang.String str10 = fraction9.toString();
    int i11 = fraction9.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    int i16 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction17 = fraction9.add(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "1/1"+ "'", str10.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    boolean b15 = fraction12.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction16 = fraction12.reduce();
    int i17 = fraction16.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction18 = fraction4.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 2);
    float f22 = fraction21.floatValue();
    // The following exception was thrown during execution in test generation
    try {
      int i23 = fraction18.compareTo((java.lang.Object)f22);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f22 == 0.0f);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(5, 3);
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d9 = fraction8.doubleValue();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    boolean b13 = fraction10.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction14 = fraction10.reduce();
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction16 = fraction5.multiplyBy(fraction10);
    double d17 = fraction16.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction14.getNumerator();
    int i17 = fraction14.getNumerator();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(2, 1);
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.pow(3);
    org.apache.commons.lang.math.Fraction fraction23 = fraction14.add(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.reduce();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.pow(0);
    org.apache.commons.lang.math.Fraction fraction33 = fraction26.add(fraction27);
    java.lang.String str34 = fraction33.toProperString();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction38 = fraction35.multiplyBy(fraction37);
    org.apache.commons.lang.math.Fraction fraction40 = fraction35.pow(0);
    java.lang.String str41 = fraction40.toString();
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction44 = fraction43.negate();
    boolean b46 = fraction43.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction47 = fraction42.add(fraction43);
    org.apache.commons.lang.math.Fraction fraction48 = fraction40.subtract(fraction42);
    int i49 = fraction40.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction50 = fraction33.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction51 = fraction40.negate();
    int i52 = fraction40.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction53 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction54 = fraction53.negate();
    boolean b56 = fraction53.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction57 = fraction53.negate();
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction59 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction60 = fraction59.negate();
    org.apache.commons.lang.math.Fraction fraction61 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction62 = fraction59.multiplyBy(fraction61);
    org.apache.commons.lang.math.Fraction fraction63 = fraction58.divideBy(fraction61);
    org.apache.commons.lang.math.Fraction fraction64 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction65 = fraction64.negate();
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction67 = fraction64.multiplyBy(fraction66);
    org.apache.commons.lang.math.Fraction fraction68 = fraction63.multiplyBy(fraction67);
    org.apache.commons.lang.math.Fraction fraction69 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction70 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction71 = fraction70.negate();
    org.apache.commons.lang.math.Fraction fraction72 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction73 = fraction70.multiplyBy(fraction72);
    org.apache.commons.lang.math.Fraction fraction74 = fraction69.divideBy(fraction72);
    java.lang.String str75 = fraction74.toString();
    boolean b76 = fraction67.equals((java.lang.Object)fraction74);
    org.apache.commons.lang.math.Fraction fraction78 = fraction74.pow(0);
    org.apache.commons.lang.math.Fraction fraction79 = fraction53.multiplyBy(fraction78);
    org.apache.commons.lang.math.Fraction fraction80 = fraction40.subtract(fraction79);
    int i81 = fraction79.getProperNumerator();
    // The following exception was thrown during execution in test generation
    try {
      int i82 = fraction23.compareTo((java.lang.Object)i81);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "11 1/2"+ "'", str34.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "1/1"+ "'", str41.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "0/1"+ "'", str75.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.reduce();
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    long long27 = fraction26.longValue();
    int i28 = fraction26.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(10, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toString();
    int i3 = fraction1.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(3, 10);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.multiplyBy(fraction7);
    int i9 = fraction1.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1/1"+ "'", str2.equals("-1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 11, 243);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction5 = fraction3.pow(11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    int i9 = fraction8.intValue();
    int i10 = fraction8.intValue();
    short s11 = fraction8.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s11 == (short)11);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i5 = fraction4.intValue();
    int i6 = fraction4.getProperNumerator();
    double d7 = fraction4.doubleValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    org.apache.commons.lang.math.Fraction fraction11 = fraction4.pow((-1));
    int i12 = fraction11.intValue();
    org.apache.commons.lang.math.Fraction fraction13 = fraction0.divideBy(fraction11);
    short s14 = fraction0.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s14 == (short)1);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d3 = fraction2.doubleValue();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction2.multiplyBy(fraction4);
    short s10 = fraction9.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s10 == (short)0);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    int i14 = fraction5.getProperWhole();
    java.lang.String str15 = fraction5.toProperString();
    int i16 = fraction5.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1"+ "'", str15.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.invert();
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    int i10 = fraction6.getDenominator();
    org.apache.commons.lang.math.Fraction fraction11 = fraction5.subtract(fraction6);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.multiplyBy(fraction11);
    float f13 = fraction11.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == (-0.6f));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b7 = fraction0.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction8 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.abs();
    long long10 = fraction9.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    byte byte11 = fraction9.byteValue();
    long long12 = fraction9.longValue();
    int i13 = fraction9.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.negate();
    java.lang.String str15 = fraction9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte11 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "2/3"+ "'", str15.equals("2/3"));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.abs();
    byte byte3 = fraction0.byteValue();
    double d4 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    long long6 = fraction5.longValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    java.lang.String str19 = fraction18.toString();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction22 = fraction21.negate();
    boolean b24 = fraction21.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction26 = fraction18.subtract(fraction20);
    org.apache.commons.lang.math.Fraction fraction27 = fraction7.divideBy(fraction26);
    boolean b28 = fraction5.equals((java.lang.Object)fraction7);
    short s29 = fraction5.shortValue();
    org.apache.commons.lang.math.Fraction fraction30 = fraction5.reduce();
    short s31 = fraction30.shortValue();
    java.lang.String str32 = fraction30.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1/1"+ "'", str19.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s29 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s31 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "1"+ "'", str32.equals("1"));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.add(fraction6);
    java.lang.String str8 = fraction7.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1 2/3"+ "'", str8.equals("1 2/3"));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    int i2 = fraction1.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    org.apache.commons.lang.math.Fraction fraction4 = fraction2.pow(1);
    short s5 = fraction2.shortValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i7 = fraction6.intValue();
    int i8 = fraction6.getProperNumerator();
    double d9 = fraction6.doubleValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.abs();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    java.lang.String str30 = fraction29.toString();
    boolean b31 = fraction22.equals((java.lang.Object)fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction12.divideBy(fraction22);
    long long33 = fraction22.longValue();
    org.apache.commons.lang.math.Fraction fraction34 = fraction2.subtract(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s5 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0/1"+ "'", str30.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    float f6 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction8 = fraction0.add(fraction7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 1.0f);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    int i3 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    boolean b7 = fraction4.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction8 = fraction4.reduce();
    float f9 = fraction4.floatValue();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction4.add(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.abs();
    org.apache.commons.lang.math.Fraction fraction13 = fraction2.multiplyBy(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.reduce();
    int i10 = fraction8.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0/1"+ "'", str6.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(1, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    org.apache.commons.lang.math.Fraction fraction10 = fraction8.pow(0);
    short s11 = fraction10.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s11 == (short)1);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.pow((-1));
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.reduce();
    org.apache.commons.lang.math.Fraction fraction10 = fraction8.abs();
    java.lang.String str11 = fraction10.toProperString();
    org.apache.commons.lang.math.Fraction fraction12 = fraction10.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "2 1/2"+ "'", str11.equals("2 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    int i4 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i2 = fraction1.intValue();
    int i3 = fraction1.getProperNumerator();
    double d4 = fraction1.doubleValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b8 = fraction1.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.divideBy(fraction1);
    int i10 = fraction1.intValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.pow(0);
    org.apache.commons.lang.math.Fraction fraction19 = fraction12.add(fraction13);
    org.apache.commons.lang.math.Fraction fraction21 = fraction19.pow(0);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    int i26 = fraction22.getDenominator();
    org.apache.commons.lang.math.Fraction fraction28 = fraction22.pow(0);
    int i29 = fraction22.getProperWhole();
    int i30 = fraction22.getDenominator();
    org.apache.commons.lang.math.Fraction fraction31 = fraction22.abs();
    org.apache.commons.lang.math.Fraction fraction32 = fraction21.add(fraction22);
    boolean b33 = fraction1.equals((java.lang.Object)fraction21);
    int i34 = fraction1.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    long long27 = fraction16.longValue();
    org.apache.commons.lang.math.Fraction fraction28 = fraction16.negate();
    org.apache.commons.lang.math.Fraction fraction29 = fraction16.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(11, 5, 100);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.invert();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(0, 1);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.multiplyBy(fraction17);
    byte byte19 = fraction17.byteValue();
    long long20 = fraction17.longValue();
    int i21 = fraction17.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = fraction26.divideBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction22.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction22.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction36.reduce();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction42 = fraction41.negate();
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction44 = fraction41.multiplyBy(fraction43);
    org.apache.commons.lang.math.Fraction fraction46 = fraction41.pow(0);
    org.apache.commons.lang.math.Fraction fraction47 = fraction40.add(fraction41);
    java.lang.String str48 = fraction47.toProperString();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction50 = fraction49.negate();
    org.apache.commons.lang.math.Fraction fraction51 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction52 = fraction49.multiplyBy(fraction51);
    org.apache.commons.lang.math.Fraction fraction54 = fraction49.pow(0);
    java.lang.String str55 = fraction54.toString();
    org.apache.commons.lang.math.Fraction fraction56 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction57 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction58 = fraction57.negate();
    boolean b60 = fraction57.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction61 = fraction56.add(fraction57);
    org.apache.commons.lang.math.Fraction fraction62 = fraction54.subtract(fraction56);
    int i63 = fraction54.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction64 = fraction47.multiplyBy(fraction54);
    org.apache.commons.lang.math.Fraction fraction65 = fraction38.multiplyBy(fraction64);
    short s66 = fraction38.shortValue();
    org.apache.commons.lang.math.Fraction fraction67 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction68 = fraction67.abs();
    org.apache.commons.lang.math.Fraction fraction69 = fraction67.abs();
    org.apache.commons.lang.math.Fraction fraction70 = fraction38.divideBy(fraction69);
    org.apache.commons.lang.math.Fraction fraction71 = fraction17.divideBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction72 = fraction7.subtract(fraction17);
    int i73 = fraction4.compareTo((java.lang.Object)fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte19 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "11 1/2"+ "'", str48.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "1/1"+ "'", str55.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s66 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction30 = fraction2.invert();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction38 = fraction37.negate();
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction40 = fraction37.multiplyBy(fraction39);
    org.apache.commons.lang.math.Fraction fraction41 = fraction36.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction44 = fraction43.negate();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction46 = fraction43.multiplyBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction47 = fraction42.divideBy(fraction45);
    java.lang.String str48 = fraction47.toString();
    boolean b49 = fraction40.equals((java.lang.Object)fraction47);
    org.apache.commons.lang.math.Fraction fraction50 = fraction30.add(fraction47);
    org.apache.commons.lang.math.Fraction fraction51 = fraction47.reduce();
    long long52 = fraction47.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "0/1"+ "'", str48.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long52 == 0L);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 2, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(4, 2, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction26 = fraction15.invert();
    org.apache.commons.lang.math.Fraction fraction27 = fraction26.negate();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    long long30 = fraction28.longValue();
    int i31 = fraction28.getNumerator();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = fraction32.pow(0);
    long long38 = fraction32.longValue();
    org.apache.commons.lang.math.Fraction fraction39 = fraction28.add(fraction32);
    org.apache.commons.lang.math.Fraction fraction41 = fraction28.pow(0);
    org.apache.commons.lang.math.Fraction fraction42 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.getFraction(10, 10);
    boolean b46 = fraction28.equals((java.lang.Object)10);
    org.apache.commons.lang.math.Fraction fraction47 = fraction27.divideBy(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(4, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    short s10 = fraction8.shortValue();
    double d11 = fraction8.doubleValue();
    int i12 = fraction8.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s10 == (short)11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 11.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    byte byte6 = fraction3.byteValue();
    int i7 = fraction3.getDenominator();
    int i8 = fraction3.intValue();
    java.lang.String str9 = fraction3.toProperString();
    int i10 = fraction3.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "2/3"+ "'", str9.equals("2/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(3, 2);
    double d3 = fraction2.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.5d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i1 = fraction0.intValue();
    int i2 = fraction0.getProperNumerator();
    double d3 = fraction0.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction18.divideBy(fraction21);
    java.lang.String str24 = fraction23.toString();
    boolean b25 = fraction16.equals((java.lang.Object)fraction23);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i28 = fraction27.intValue();
    int i29 = fraction27.getProperNumerator();
    double d30 = fraction27.doubleValue();
    org.apache.commons.lang.math.Fraction fraction31 = fraction27.invert();
    org.apache.commons.lang.math.Fraction fraction32 = fraction16.subtract(fraction31);
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.getFraction("-1");
    org.apache.commons.lang.math.Fraction fraction36 = fraction34.pow(0);
    java.lang.String str37 = fraction36.toString();
    int i38 = fraction36.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction39 = fraction32.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction40 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction41 = fraction36.multiplyBy(fraction40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "0/1"+ "'", str24.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "1/1"+ "'", str37.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction7 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction9 = fraction7.pow(0);
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.negate();
    int i11 = fraction7.intValue();
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    boolean b15 = fraction12.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction16 = fraction12.reduce();
    int i17 = fraction16.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction18 = fraction4.divideBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    boolean b22 = fraction19.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction23 = fraction19.reduce();
    float f24 = fraction19.floatValue();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction26 = fraction19.add(fraction25);
    org.apache.commons.lang.math.Fraction fraction27 = fraction26.abs();
    org.apache.commons.lang.math.Fraction fraction28 = fraction16.divideBy(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f24 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(100, 8);
    long long3 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 12L);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(2, 3);
    int i3 = fraction2.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = fraction2.invert();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-1), (-1), (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction6 = fraction4.reduce();
    int i7 = fraction4.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i9 = fraction8.intValue();
    int i10 = fraction8.getProperNumerator();
    double d11 = fraction8.doubleValue();
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.pow((-1));
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = fraction16.reduce();
    org.apache.commons.lang.math.Fraction fraction18 = fraction4.divideBy(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, 23);
    byte byte3 = fraction2.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte3 == (byte)0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    int i7 = fraction5.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.reduce();
    double d9 = fraction8.doubleValue();
    org.apache.commons.lang.math.Fraction fraction10 = fraction8.reduce();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.getFraction(243, 243);
    boolean b14 = fraction8.equals((java.lang.Object)243);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    int i5 = fraction4.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.pow(0);
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.add(fraction8);
    boolean b15 = fraction4.equals((java.lang.Object)fraction14);
    short s16 = fraction4.shortValue();
    int i17 = fraction4.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s16 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    int i6 = fraction2.getDenominator();
    org.apache.commons.lang.math.Fraction fraction7 = fraction1.subtract(fraction2);
    boolean b8 = fraction0.equals((java.lang.Object)fraction1);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i10 = fraction9.getNumerator();
    org.apache.commons.lang.math.Fraction fraction11 = fraction9.reduce();
    double d12 = fraction11.doubleValue();
    int i13 = fraction11.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction14 = fraction0.multiplyBy(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.3333333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("-101/1");
    java.lang.String str2 = fraction1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-101/1"+ "'", str2.equals("-101/1"));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    float f19 = fraction16.floatValue();
    java.lang.String str20 = fraction16.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f19 == 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "0/1"+ "'", str20.equals("0/1"));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    int i6 = fraction0.getProperNumerator();
    int i7 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    java.lang.String str2 = fraction1.toProperString();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.multiplyBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction3.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction17);
    int i19 = fraction17.intValue();
    boolean b20 = fraction1.equals((java.lang.Object)fraction17);
    org.apache.commons.lang.math.Fraction fraction21 = fraction1.invert();
    long long22 = fraction1.longValue();
    int i23 = fraction1.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "-1"+ "'", str2.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    long long26 = fraction8.longValue();
    long long27 = fraction8.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 11L);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    int i2 = fraction0.getNumerator();
    java.lang.String str3 = fraction0.toString();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(5);
    double d6 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1/2"+ "'", str3.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("1");
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.reduce();
    int i3 = fraction2.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i2 = fraction1.intValue();
    int i3 = fraction1.getProperNumerator();
    double d4 = fraction1.doubleValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b8 = fraction1.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.divideBy(fraction1);
    org.apache.commons.lang.math.Fraction fraction11 = fraction9.pow(23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.divideBy(fraction1);
    long long4 = fraction3.longValue();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(10.0d);
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.reduce();
    short s8 = fraction6.shortValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction3.divideBy(fraction6);
    int i10 = fraction9.intValue();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.getFraction("0/1");
    int i13 = fraction12.getNumerator();
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.subtract(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.abs();
    org.apache.commons.lang.math.Fraction fraction16 = fraction14.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    boolean b2 = fraction0.equals((java.lang.Object)0.6666667f);
    java.lang.String str3 = fraction0.toProperString();
    double d4 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "1/2"+ "'", str3.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction10 = fraction7.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.divideBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction12 = fraction0.add(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    boolean b16 = fraction13.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction17 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.add(fraction13);
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.abs();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction21 = fraction20.negate();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction23 = fraction20.multiplyBy(fraction22);
    org.apache.commons.lang.math.Fraction fraction25 = fraction20.pow(0);
    java.lang.String str26 = fraction25.toString();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    boolean b31 = fraction28.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction32 = fraction27.add(fraction28);
    org.apache.commons.lang.math.Fraction fraction33 = fraction25.subtract(fraction27);
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i35 = fraction34.intValue();
    int i36 = fraction34.getProperNumerator();
    double d37 = fraction34.doubleValue();
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.pow(0);
    org.apache.commons.lang.math.Fraction fraction40 = fraction39.abs();
    org.apache.commons.lang.math.Fraction fraction41 = fraction39.reduce();
    int i42 = fraction27.compareTo((java.lang.Object)fraction39);
    int i43 = fraction27.intValue();
    // The following exception was thrown during execution in test generation
    try {
      int i44 = fraction19.compareTo((java.lang.Object)i43);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "1/1"+ "'", str26.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("1 2/3");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.invert();
    byte byte6 = fraction5.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(0, 1);
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(3, (-1));
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.multiplyBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction3.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction17.reduce();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction27 = fraction22.pow(0);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.add(fraction22);
    java.lang.String str29 = fraction28.toProperString();
    org.apache.commons.lang.math.Fraction fraction30 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.negate();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction33 = fraction30.multiplyBy(fraction32);
    org.apache.commons.lang.math.Fraction fraction35 = fraction30.pow(0);
    java.lang.String str36 = fraction35.toString();
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    boolean b41 = fraction38.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction42 = fraction37.add(fraction38);
    org.apache.commons.lang.math.Fraction fraction43 = fraction35.subtract(fraction37);
    int i44 = fraction35.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction45 = fraction28.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction46 = fraction19.multiplyBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction47 = fraction2.subtract(fraction46);
    org.apache.commons.lang.math.Fraction fraction48 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction49 = fraction48.negate();
    org.apache.commons.lang.math.Fraction fraction50 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction51 = fraction48.multiplyBy(fraction50);
    org.apache.commons.lang.math.Fraction fraction52 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction53 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction54 = fraction53.negate();
    org.apache.commons.lang.math.Fraction fraction55 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction56 = fraction53.multiplyBy(fraction55);
    org.apache.commons.lang.math.Fraction fraction57 = fraction52.divideBy(fraction55);
    org.apache.commons.lang.math.Fraction fraction58 = fraction48.multiplyBy(fraction55);
    org.apache.commons.lang.math.Fraction fraction59 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction60 = fraction59.negate();
    org.apache.commons.lang.math.Fraction fraction61 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction62 = fraction59.multiplyBy(fraction61);
    org.apache.commons.lang.math.Fraction fraction63 = fraction48.multiplyBy(fraction62);
    org.apache.commons.lang.math.Fraction fraction64 = fraction62.reduce();
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction67 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction68 = fraction67.negate();
    org.apache.commons.lang.math.Fraction fraction69 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction70 = fraction67.multiplyBy(fraction69);
    org.apache.commons.lang.math.Fraction fraction72 = fraction67.pow(0);
    org.apache.commons.lang.math.Fraction fraction73 = fraction66.add(fraction67);
    java.lang.String str74 = fraction73.toProperString();
    org.apache.commons.lang.math.Fraction fraction75 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction76 = fraction75.negate();
    org.apache.commons.lang.math.Fraction fraction77 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction78 = fraction75.multiplyBy(fraction77);
    org.apache.commons.lang.math.Fraction fraction80 = fraction75.pow(0);
    java.lang.String str81 = fraction80.toString();
    org.apache.commons.lang.math.Fraction fraction82 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction83 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction84 = fraction83.negate();
    boolean b86 = fraction83.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction87 = fraction82.add(fraction83);
    org.apache.commons.lang.math.Fraction fraction88 = fraction80.subtract(fraction82);
    int i89 = fraction80.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction90 = fraction73.multiplyBy(fraction80);
    org.apache.commons.lang.math.Fraction fraction91 = fraction64.multiplyBy(fraction90);
    org.apache.commons.lang.math.Fraction fraction93 = fraction64.pow(0);
    org.apache.commons.lang.math.Fraction fraction94 = fraction93.negate();
    org.apache.commons.lang.math.Fraction fraction95 = fraction46.subtract(fraction93);
    java.lang.String str96 = fraction95.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "11 1/2"+ "'", str29.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "1/1"+ "'", str36.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "11 1/2"+ "'", str74.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "1/1"+ "'", str81.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str96 + "' != '" + "20/3"+ "'", str96.equals("20/3"));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    double d6 = fraction5.doubleValue();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction9.pow(0);
    org.apache.commons.lang.math.Fraction fraction15 = fraction8.add(fraction9);
    java.lang.String str16 = fraction15.toProperString();
    org.apache.commons.lang.math.Fraction fraction17 = fraction5.subtract(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.reduce();
    org.apache.commons.lang.math.Fraction fraction19 = fraction17.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "11 1/2"+ "'", str16.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    boolean b4 = fraction1.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.add(fraction1);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = fraction6.pow(0);
    java.lang.String str12 = fraction11.toString();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    boolean b17 = fraction14.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction18 = fraction13.add(fraction14);
    org.apache.commons.lang.math.Fraction fraction19 = fraction11.subtract(fraction13);
    int i20 = fraction11.getProperWhole();
    java.lang.String str21 = fraction11.toProperString();
    org.apache.commons.lang.math.Fraction fraction22 = fraction1.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction23 = fraction11.negate();
    double d24 = fraction11.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "1/1"+ "'", str12.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1"+ "'", str21.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.THREE_FIFTHS;
    float f1 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.negate();
    int i3 = fraction2.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction16.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction21.invert();
    java.lang.String str25 = fraction21.toProperString();
    java.lang.String str26 = fraction21.toString();
    long long27 = fraction21.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "2/3"+ "'", str25.equals("2/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "2/3"+ "'", str26.equals("2/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 1, 10);
    short s4 = fraction3.shortValue();
    double d5 = fraction3.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s4 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(1, 1, 100);
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.reduce();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = fraction21.abs();
    long long25 = fraction24.longValue();
    byte byte26 = fraction24.byteValue();
    int i27 = fraction24.getDenominator();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.getFraction(1, 1, 10);
    org.apache.commons.lang.math.Fraction fraction32 = fraction24.add(fraction31);
    org.apache.commons.lang.math.Fraction fraction33 = fraction3.subtract(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte26 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction30 = fraction21.reduce();
    byte byte31 = fraction30.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte31 == (byte)0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    org.apache.commons.lang.math.Fraction fraction30 = fraction2.invert();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction33 = fraction32.negate();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction35 = fraction32.multiplyBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction36 = fraction31.divideBy(fraction34);
    org.apache.commons.lang.math.Fraction fraction37 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction38 = fraction37.negate();
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction40 = fraction37.multiplyBy(fraction39);
    org.apache.commons.lang.math.Fraction fraction41 = fraction36.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction44 = fraction43.negate();
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction46 = fraction43.multiplyBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction47 = fraction42.divideBy(fraction45);
    java.lang.String str48 = fraction47.toString();
    boolean b49 = fraction40.equals((java.lang.Object)fraction47);
    org.apache.commons.lang.math.Fraction fraction50 = fraction30.add(fraction47);
    short s51 = fraction47.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "0/1"+ "'", str48.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s51 == (short)0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    int i13 = fraction4.compareTo((java.lang.Object)fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    int i20 = fraction4.compareTo((java.lang.Object)fraction14);
    java.lang.String str21 = fraction14.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "0"+ "'", str21.equals("0"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction3 = fraction2.negate();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction5 = fraction2.multiplyBy(fraction4);
    org.apache.commons.lang.math.Fraction fraction7 = fraction2.pow(0);
    org.apache.commons.lang.math.Fraction fraction8 = fraction1.add(fraction2);
    java.lang.String str9 = fraction8.toProperString();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction11 = fraction10.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction13 = fraction10.multiplyBy(fraction12);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.pow(0);
    java.lang.String str16 = fraction15.toString();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    boolean b21 = fraction18.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.add(fraction18);
    org.apache.commons.lang.math.Fraction fraction23 = fraction15.subtract(fraction17);
    int i24 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction25 = fraction8.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction26 = fraction15.negate();
    int i27 = fraction15.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction28 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction29 = fraction28.negate();
    boolean b31 = fraction28.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction32 = fraction28.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction35 = fraction34.negate();
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction37 = fraction34.multiplyBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction38 = fraction33.divideBy(fraction36);
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction40 = fraction39.negate();
    org.apache.commons.lang.math.Fraction fraction41 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction42 = fraction39.multiplyBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction43 = fraction38.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction45 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction46 = fraction45.negate();
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction48 = fraction45.multiplyBy(fraction47);
    org.apache.commons.lang.math.Fraction fraction49 = fraction44.divideBy(fraction47);
    java.lang.String str50 = fraction49.toString();
    boolean b51 = fraction42.equals((java.lang.Object)fraction49);
    org.apache.commons.lang.math.Fraction fraction53 = fraction49.pow(0);
    org.apache.commons.lang.math.Fraction fraction54 = fraction28.multiplyBy(fraction53);
    org.apache.commons.lang.math.Fraction fraction55 = fraction15.subtract(fraction54);
    int i56 = fraction54.getProperNumerator();
    long long57 = fraction54.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "11 1/2"+ "'", str9.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "1/1"+ "'", str16.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "0/1"+ "'", str50.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 1L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    int i4 = fraction0.getDenominator();
    int i5 = fraction0.intValue();
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction((-3), (-10), 23);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(100, 100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(243, 3, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    int i13 = fraction4.compareTo((java.lang.Object)fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    int i20 = fraction4.compareTo((java.lang.Object)fraction14);
    org.apache.commons.lang.math.Fraction fraction21 = fraction4.reduce();
    org.apache.commons.lang.math.Fraction fraction22 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction23 = fraction22.negate();
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction25 = fraction22.multiplyBy(fraction24);
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    org.apache.commons.lang.math.Fraction fraction29 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction30 = fraction27.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction31 = fraction26.divideBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction32 = fraction22.multiplyBy(fraction29);
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction22.multiplyBy(fraction36);
    int i38 = fraction22.getDenominator();
    org.apache.commons.lang.math.Fraction fraction39 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction40 = fraction22.multiplyBy(fraction39);
    org.apache.commons.lang.math.Fraction fraction41 = fraction4.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction4.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.reduce();
    float f5 = fraction0.floatValue();
    long long6 = fraction0.longValue();
    int i7 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.divideBy(fraction11);
    java.lang.String str14 = fraction13.toString();
    org.apache.commons.lang.math.Fraction fraction15 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.reduce();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(10, 2, 2);
    org.apache.commons.lang.math.Fraction fraction21 = fraction13.multiplyBy(fraction20);
    int i22 = fraction0.compareTo((java.lang.Object)fraction13);
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.getFraction((-1), 100);
    double d26 = fraction25.doubleValue();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction28 = fraction27.negate();
    boolean b30 = fraction27.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction31 = fraction27.reduce();
    org.apache.commons.lang.math.Fraction fraction32 = fraction25.multiplyBy(fraction27);
    float f33 = fraction27.floatValue();
    org.apache.commons.lang.math.Fraction fraction34 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction36 = fraction35.negate();
    boolean b38 = fraction35.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction39 = fraction34.add(fraction35);
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction41 = fraction40.negate();
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction43 = fraction40.multiplyBy(fraction42);
    org.apache.commons.lang.math.Fraction fraction45 = fraction40.pow(0);
    java.lang.String str46 = fraction45.toString();
    org.apache.commons.lang.math.Fraction fraction47 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction48 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction49 = fraction48.negate();
    boolean b51 = fraction48.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction52 = fraction47.add(fraction48);
    org.apache.commons.lang.math.Fraction fraction53 = fraction45.subtract(fraction47);
    int i54 = fraction45.getProperWhole();
    java.lang.String str55 = fraction45.toProperString();
    org.apache.commons.lang.math.Fraction fraction56 = fraction35.divideBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction57 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction59 = fraction58.negate();
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction61 = fraction58.multiplyBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction62 = fraction57.divideBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction63 = fraction35.subtract(fraction62);
    long long64 = fraction62.longValue();
    org.apache.commons.lang.math.Fraction fraction65 = fraction27.subtract(fraction62);
    org.apache.commons.lang.math.Fraction fraction66 = fraction13.subtract(fraction65);
    int i67 = fraction66.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "0/1"+ "'", str14.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-0.01d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f33 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "1/1"+ "'", str46.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "1"+ "'", str55.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.TWO_QUARTERS;
    float f1 = fraction0.floatValue();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction("-1");
    float f4 = fraction3.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getFraction("1/4");
    float f8 = fraction7.floatValue();
    boolean b9 = fraction0.equals((java.lang.Object)fraction7);
    byte byte10 = fraction0.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte10 == (byte)0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_QUARTER;
    java.lang.String str1 = fraction0.toProperString();
    java.lang.Object obj2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i3 = fraction0.compareTo(obj2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1/4"+ "'", str1.equals("1/4"));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(21, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i5 = fraction4.intValue();
    int i6 = fraction4.getProperNumerator();
    double d7 = fraction4.doubleValue();
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    org.apache.commons.lang.math.Fraction fraction11 = fraction4.pow((-1));
    int i12 = fraction11.intValue();
    org.apache.commons.lang.math.Fraction fraction13 = fraction0.divideBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction14 = fraction0.reduce();
    java.lang.String str15 = fraction14.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1"+ "'", str15.equals("1"));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    long long2 = fraction0.longValue();
    int i3 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.pow(0);
    long long10 = fraction4.longValue();
    org.apache.commons.lang.math.Fraction fraction11 = fraction0.add(fraction4);
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    int i13 = fraction4.compareTo((java.lang.Object)fraction12);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction16 = fraction15.negate();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction18 = fraction15.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction14.divideBy(fraction17);
    int i20 = fraction4.compareTo((java.lang.Object)fraction14);
    org.apache.commons.lang.math.Fraction fraction21 = fraction4.reduce();
    java.lang.String str22 = fraction21.toString();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.getFraction(0, 3, 1);
    org.apache.commons.lang.math.Fraction fraction27 = fraction21.multiplyBy(fraction26);
    byte byte28 = fraction21.byteValue();
    java.lang.String str29 = fraction21.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1/1"+ "'", str22.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte28 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "1"+ "'", str29.equals("1"));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction("-4/15");
    int i2 = fraction1.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.getFraction(11, 3, 11);
    org.apache.commons.lang.math.Fraction fraction7 = fraction1.divideBy(fraction6);
    short s8 = fraction1.shortValue();
    int i9 = fraction1.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s8 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-4));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i2 = fraction1.intValue();
    int i3 = fraction1.getProperNumerator();
    double d4 = fraction1.doubleValue();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b8 = fraction1.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction9 = fraction0.divideBy(fraction1);
    float f10 = fraction9.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.0f);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    boolean b3 = fraction0.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction4 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction25 = fraction21.pow(0);
    org.apache.commons.lang.math.Fraction fraction26 = fraction0.multiplyBy(fraction25);
    int i27 = fraction26.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getFraction(243, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction2 = fraction1.negate();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction4 = fraction1.multiplyBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.divideBy(fraction3);
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.multiplyBy(fraction9);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction13 = fraction12.negate();
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction15 = fraction12.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = fraction11.divideBy(fraction14);
    java.lang.String str17 = fraction16.toString();
    boolean b18 = fraction9.equals((java.lang.Object)fraction16);
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.negate();
    org.apache.commons.lang.math.Fraction fraction21 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction22 = fraction19.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction23 = fraction16.multiplyBy(fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction26 = fraction25.negate();
    org.apache.commons.lang.math.Fraction fraction27 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction28 = fraction25.multiplyBy(fraction27);
    org.apache.commons.lang.math.Fraction fraction29 = fraction24.divideBy(fraction27);
    byte byte30 = fraction27.byteValue();
    org.apache.commons.lang.math.Fraction fraction31 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction32 = fraction31.negate();
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction34 = fraction31.multiplyBy(fraction33);
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction36 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction37 = fraction36.negate();
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction39 = fraction36.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction40 = fraction35.divideBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction41 = fraction31.multiplyBy(fraction38);
    org.apache.commons.lang.math.Fraction fraction42 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction43 = fraction42.negate();
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction45 = fraction42.multiplyBy(fraction44);
    org.apache.commons.lang.math.Fraction fraction46 = fraction31.multiplyBy(fraction45);
    org.apache.commons.lang.math.Fraction fraction47 = fraction45.reduce();
    org.apache.commons.lang.math.Fraction fraction49 = org.apache.commons.lang.math.Fraction.getFraction(10.5d);
    org.apache.commons.lang.math.Fraction fraction50 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction51 = fraction50.negate();
    org.apache.commons.lang.math.Fraction fraction52 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction53 = fraction50.multiplyBy(fraction52);
    org.apache.commons.lang.math.Fraction fraction55 = fraction50.pow(0);
    org.apache.commons.lang.math.Fraction fraction56 = fraction49.add(fraction50);
    java.lang.String str57 = fraction56.toProperString();
    org.apache.commons.lang.math.Fraction fraction58 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction59 = fraction58.negate();
    org.apache.commons.lang.math.Fraction fraction60 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction61 = fraction58.multiplyBy(fraction60);
    org.apache.commons.lang.math.Fraction fraction63 = fraction58.pow(0);
    java.lang.String str64 = fraction63.toString();
    org.apache.commons.lang.math.Fraction fraction65 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction66 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction67 = fraction66.negate();
    boolean b69 = fraction66.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction70 = fraction65.add(fraction66);
    org.apache.commons.lang.math.Fraction fraction71 = fraction63.subtract(fraction65);
    int i72 = fraction63.getProperWhole();
    org.apache.commons.lang.math.Fraction fraction73 = fraction56.multiplyBy(fraction63);
    org.apache.commons.lang.math.Fraction fraction74 = fraction47.multiplyBy(fraction73);
    short s75 = fraction47.shortValue();
    org.apache.commons.lang.math.Fraction fraction76 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction77 = fraction76.abs();
    org.apache.commons.lang.math.Fraction fraction78 = fraction76.abs();
    org.apache.commons.lang.math.Fraction fraction79 = fraction47.divideBy(fraction78);
    org.apache.commons.lang.math.Fraction fraction80 = fraction27.divideBy(fraction78);
    org.apache.commons.lang.math.Fraction fraction81 = fraction21.subtract(fraction80);
    int i82 = fraction81.getProperWhole();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0/1"+ "'", str17.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte30 == (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "11 1/2"+ "'", str57.equals("11 1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "1/1"+ "'", str64.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s75 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_THIRD;
    int i1 = fraction0.getNumerator();
    org.apache.commons.lang.math.Fraction fraction2 = fraction0.reduce();
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction5 = fraction4.negate();
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction7 = fraction4.multiplyBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction8 = fraction3.divideBy(fraction6);
    org.apache.commons.lang.math.Fraction fraction9 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction10 = fraction9.negate();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction12 = fraction9.multiplyBy(fraction11);
    org.apache.commons.lang.math.Fraction fraction13 = fraction8.multiplyBy(fraction12);
    int i14 = fraction0.compareTo((java.lang.Object)fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(11, (-1), (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.getFraction(10, 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction0.getDenominator();
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction18 = fraction0.multiplyBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction19 = fraction17.abs();
    org.apache.commons.lang.math.Fraction fraction20 = fraction19.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction5 = fraction0.pow(0);
    java.lang.String str6 = fraction5.toString();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.subtract(fraction7);
    org.apache.commons.lang.math.Fraction fraction14 = fraction7.abs();
    java.lang.String str15 = fraction7.toProperString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1/1"+ "'", str6.equals("1/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1/2"+ "'", str15.equals("1/2"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.abs();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.getFraction(3, 0, 2);
    org.apache.commons.lang.math.Fraction fraction6 = fraction0.divideBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction8 = fraction7.negate();
    boolean b10 = fraction7.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction11 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction12 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.negate();
    org.apache.commons.lang.math.Fraction fraction15 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction16 = fraction13.multiplyBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction17 = fraction12.divideBy(fraction15);
    org.apache.commons.lang.math.Fraction fraction18 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction19 = fraction18.negate();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction21 = fraction18.multiplyBy(fraction20);
    org.apache.commons.lang.math.Fraction fraction22 = fraction17.multiplyBy(fraction21);
    int i23 = fraction22.getProperNumerator();
    org.apache.commons.lang.math.Fraction fraction24 = fraction22.negate();
    boolean b25 = fraction11.equals((java.lang.Object)fraction22);
    org.apache.commons.lang.math.Fraction fraction26 = fraction6.subtract(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.THREE_QUARTERS;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = fraction16.divideBy(fraction17);
    org.apache.commons.lang.math.Fraction fraction20 = fraction15.subtract(fraction19);
    float f21 = fraction15.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f21 == 0.6666667f);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.getReducedFraction(10, 3);
    org.apache.commons.lang.math.Fraction fraction3 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction4 = fraction3.negate();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction6 = fraction3.multiplyBy(fraction5);
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    org.apache.commons.lang.math.Fraction fraction10 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction11 = fraction8.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.divideBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction13 = fraction3.multiplyBy(fraction10);
    org.apache.commons.lang.math.Fraction fraction14 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction15 = fraction14.negate();
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction17 = fraction14.multiplyBy(fraction16);
    org.apache.commons.lang.math.Fraction fraction18 = fraction3.multiplyBy(fraction17);
    int i19 = fraction3.getDenominator();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction21 = fraction3.multiplyBy(fraction20);
    java.lang.String str22 = fraction21.toString();
    org.apache.commons.lang.math.Fraction fraction23 = fraction2.subtract(fraction21);
    int i24 = fraction2.getProperNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1/2"+ "'", str22.equals("1/2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(0.6666666666666666d);
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.getFraction(100, 243, 11);
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.ONE_HALF;
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction9 = fraction8.negate();
    boolean b11 = fraction8.equals((java.lang.Object)100.0f);
    org.apache.commons.lang.math.Fraction fraction12 = fraction7.add(fraction8);
    org.apache.commons.lang.math.Fraction fraction13 = fraction7.negate();
    org.apache.commons.lang.math.Fraction fraction15 = fraction7.pow(10);
    org.apache.commons.lang.math.Fraction fraction16 = fraction7.invert();
    int i17 = fraction5.compareTo((java.lang.Object)fraction16);
    boolean b18 = fraction1.equals((java.lang.Object)fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    org.apache.commons.lang.math.Fraction fraction4 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction6 = fraction5.negate();
    org.apache.commons.lang.math.Fraction fraction7 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction8 = fraction5.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction9 = fraction4.divideBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction10 = fraction0.multiplyBy(fraction7);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction0.multiplyBy(fraction14);
    int i16 = fraction14.getNumerator();
    int i17 = fraction14.getNumerator();
    org.apache.commons.lang.math.Fraction fraction20 = org.apache.commons.lang.math.Fraction.getFraction(2, 1);
    org.apache.commons.lang.math.Fraction fraction22 = fraction20.pow(3);
    org.apache.commons.lang.math.Fraction fraction23 = fraction14.add(fraction22);
    org.apache.commons.lang.math.Fraction fraction24 = fraction23.reduce();
    org.apache.commons.lang.math.Fraction fraction25 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i26 = fraction25.intValue();
    int i27 = fraction25.getProperNumerator();
    double d28 = fraction25.doubleValue();
    org.apache.commons.lang.math.Fraction fraction30 = fraction25.pow(0);
    org.apache.commons.lang.math.Fraction fraction31 = fraction30.abs();
    org.apache.commons.lang.math.Fraction fraction32 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction33 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction34 = fraction33.negate();
    org.apache.commons.lang.math.Fraction fraction35 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction36 = fraction33.multiplyBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction37 = fraction32.divideBy(fraction35);
    org.apache.commons.lang.math.Fraction fraction38 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction39 = fraction38.negate();
    org.apache.commons.lang.math.Fraction fraction40 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction41 = fraction38.multiplyBy(fraction40);
    org.apache.commons.lang.math.Fraction fraction42 = fraction37.multiplyBy(fraction41);
    org.apache.commons.lang.math.Fraction fraction43 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction44 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction45 = fraction44.negate();
    org.apache.commons.lang.math.Fraction fraction46 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction47 = fraction44.multiplyBy(fraction46);
    org.apache.commons.lang.math.Fraction fraction48 = fraction43.divideBy(fraction46);
    java.lang.String str49 = fraction48.toString();
    boolean b50 = fraction41.equals((java.lang.Object)fraction48);
    org.apache.commons.lang.math.Fraction fraction51 = fraction31.divideBy(fraction41);
    java.lang.String str52 = fraction41.toString();
    org.apache.commons.lang.math.Fraction fraction53 = fraction23.subtract(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "0/1"+ "'", str49.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "2/3"+ "'", str52.equals("2/3"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.lang.math.Fraction fraction1 = org.apache.commons.lang.math.Fraction.getFraction(0.4d);
    int i2 = fraction1.getDenominator();
    java.lang.String str3 = fraction1.toProperString();
    double d4 = fraction1.doubleValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.TWO_FIFTHS;
    int i6 = fraction5.intValue();
    int i7 = fraction5.getProperNumerator();
    double d8 = fraction5.doubleValue();
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.getReducedFraction(100, 2);
    boolean b12 = fraction5.equals((java.lang.Object)2);
    org.apache.commons.lang.math.Fraction fraction13 = fraction5.abs();
    org.apache.commons.lang.math.Fraction fraction14 = fraction13.abs();
    org.apache.commons.lang.math.Fraction fraction15 = fraction1.add(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "2/5"+ "'", str3.equals("2/5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE_QUARTER;
    int i1 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.lang.math.Fraction fraction0 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction1 = fraction0.negate();
    org.apache.commons.lang.math.Fraction fraction2 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction3 = fraction0.multiplyBy(fraction2);
    float f4 = fraction2.floatValue();
    org.apache.commons.lang.math.Fraction fraction5 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction6 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction7 = fraction6.negate();
    org.apache.commons.lang.math.Fraction fraction8 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction9 = fraction6.multiplyBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction10 = fraction5.divideBy(fraction8);
    org.apache.commons.lang.math.Fraction fraction11 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction12 = fraction11.negate();
    org.apache.commons.lang.math.Fraction fraction13 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction14 = fraction11.multiplyBy(fraction13);
    org.apache.commons.lang.math.Fraction fraction15 = fraction10.multiplyBy(fraction14);
    org.apache.commons.lang.math.Fraction fraction16 = org.apache.commons.lang.math.Fraction.ZERO;
    org.apache.commons.lang.math.Fraction fraction17 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction18 = fraction17.negate();
    org.apache.commons.lang.math.Fraction fraction19 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction20 = fraction17.multiplyBy(fraction19);
    org.apache.commons.lang.math.Fraction fraction21 = fraction16.divideBy(fraction19);
    java.lang.String str22 = fraction21.toString();
    boolean b23 = fraction14.equals((java.lang.Object)fraction21);
    org.apache.commons.lang.math.Fraction fraction24 = org.apache.commons.lang.math.Fraction.ONE;
    org.apache.commons.lang.math.Fraction fraction25 = fraction24.negate();
    org.apache.commons.lang.math.Fraction fraction26 = org.apache.commons.lang.math.Fraction.TWO_THIRDS;
    org.apache.commons.lang.math.Fraction fraction27 = fraction24.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction28 = fraction21.multiplyBy(fraction26);
    org.apache.commons.lang.math.Fraction fraction29 = fraction2.add(fraction21);
    int i30 = fraction29.getProperNumerator();
    int i31 = fraction29.intValue();
    int i32 = fraction29.getProperWhole();
    int i33 = fraction29.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0/1"+ "'", str22.equals("0/1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);

  }

}
